<?php namespace Premmerce\DevTools\DataGenerator\Providers\Attributes;

trait DesignTrait
{
    protected $fruits = [
        'Apple',
        'Apricot',
        'Avocado',
        'Banana',
        'Bilberry',
        'Blackberry',
        'Blackcurrant',
        'Blood Orange',
        'Blueberry',
        'Boysenberry',
        'Cantaloupe',
        'Cherimoya',
        'Cherry',
        'Chico Fruit',
        'Chili Pepper',
        'Clementine',
        'Cloudberry',
        'Coconut',
        'Corn Kernel',
        'Crab Apples',
        'Cranberry',
        'Cucumber',
        'Currant',
        'Custard Apple',
        'Damson',
        'Date',
        'Dragonfruit',
        'Durian',
        'Eggplant',
        'Elderberry',
        'Feijoa',
        'Fig',
        'Goji Berry',
        'Gonzoberry',
        'Gooseberry',
        'Grape',
        'Grapefruit',
        'Guava',
        'Honeyberry',
        'Honeydew',
        'Huckleberry',
        'Jabuticaba',
        'Jackfruit',
        'Jambul',
        'Jujube',
        'Juniper Berry',
        'Kiwano',
        'Kiwifruit',
        'Kumquat',
        'Lemon',
        'Lime',
        'Longan',
        'Loquat',
        'Lychee',
        'Mandarine',
        'Mango',
        'Mangosteen',
        'Marionberry',
        'Melon',
        'Miracle Fruit',
        'Mulberry',
        'Nance',
        'Nectarine',
        'Olive',
        'Orange',
        'Papaya',
        'Passionfruit',
        'Pea',
        'Peach',
        'Pear',
        'Persimmon',
        'Pineapple',
        'Plantain',
        'Plum',
        'Plumcot',
        'Pomegranate',
        'Pomelo',
        'Prune',
        'Pumpkin',
        'Purple Mangosteen',
        'Quince',
        'Raisin',
        'Rambutan',
        'Raspberry',
        'Redcurrant',
        'Salak',
        'Salal Berry',
        'Salmonberry',
        'Satsuma',
        'Soursop',
        'Squash',
        'Star Fruit',
        'Strawberry',
        'Tamarillo',
        'Tamarind',
        'Tangerine',
        'Tomato',
        'Ugli Fruit',
        'Watermelon',
        'Yuzu',
    ];

    protected $patterns = [
        'Bordered',
        'Checkered',
        'Floral',
        'Geometric',
        'Gingham',
        'Moiré',
        'Paisley',
        'Patchwork',
        'Plaid',
        'Polka Dot',
        'Print',
        'Solid',
        'Striped',
    ];

    protected $themes = [
        'Bibles',
        'Dieting',
        'Entertainment',
        'Fantasy',
        'Fiction',
        'Graphic Novels',
        'Home',
        'Math',
        'Memoirs',
        'Money',
        'Outdoors',
        'Photography',
        'Relationships',
        'Social Sciences',
        'Spirituality',
        'Suspense',
        'Teaching',
        'Technology',
        'Transportation',
        'Wine',
        'Alphabet',
        'Angels',
        'Animal',
        'Animals',
        'Arts ',
        'Beach Party',
        'Bears ',
        'Beverages',
        'Biographies ',
        'Buildings',
        'Business ',
        'Cactus',
        'Calendars',
        'Candy',
        'Canes',
        'Carnival',
        'Cars',
        'Casino',
        'Cats ',
        'Characters',
        'Churches',
        'Cityscapes',
        'Classic ',
        'Colleges',
        'Colors ',
        'Comics ',
        'Computers ',
        'Cookbooks, Food ',
        'Counting ',
        'Crafts, Hobbies ',
        'Crosses',
        'Dinosaurs',
        'Education ',
        'Elves',
        'Engineering ',
        'Fantasy',
        'Feelings',
        'Fiesta',
        'Flowers',
        'Food ',
        'Foods',
        'Fruit',
        'Gingerbread',
        'Gothic',
        'Health, Fitness ',
        'Hearts',
        'Heroes',
        'History',
        'Houses',
        'Humor ',
        'Icicles',
        'Inspirational',
        'Landscapes',
        'Law',
        'Literature ',
        'Love',
        'Luau',
        'Medical',
        'Military',
        'Monster',
        'Moon',
        'Moon ',
        'Movie Night',
        'Music',
        'Mystery',
        'Nativity',
        'Nautical',
        'Ninja',
        'Novelty',
        'Numbers',
        'Nutcracker',
        'Oktoberfest',
        'Parenting ',
        'Paris',
        'Patriotic',
        'People',
        'Pets',
        'Pineapple',
        'Pirate',
        'Plants',
        'Politics ',
        'Popular',
        'Princess',
        'Reference',
        'Religion ',
        'Religious',
        'Restaurants',
        'Rockstar',
        'Romance',
        'Santa',
        'Schools',
        'Science ',
        'Science Fiction ',
        'Seascapes',
        'Self-help',
        'Shapes',
        'Shops',
        'Sleds',
        'Sleighs',
        'Snowflakes',
        'Snowmen',
        'Sports',
        'Sports ',
        'Stars',
        'Stockings',
        'Superhero',
        'Teddy Bears',
        'Trains',
        'Transportation',
        'Travel',
        'Trees',
        'Unicorn',
        'Universities',
        'Vegetables',
        'Vehicles',
        'Weddings',
        'Western',
        'Wreaths',
        'Zoo',
    ];

    protected $shapes = [
        'Arched',
        'Circle',
        'Cone',
        'Cylinder',
        'Ellipse',
        'Hexagon',
        'Irregular',
        'Irregular Shape',
        'Octagon',
        'Oval',
        'Parallelogram',
        'Pentagon',
        'Pyramid',
        'Rectangle',
        'Rectangular',
        'Round',
        'Semicircle',
        'Sphere',
        'Square',
        'Star',
        'Sunburst',
        'Trapezoid',
        'Triangle',
        'Wedge',
        'Whorl',
    ];

    public function fruit() {
        return $this->generator->randomElement($this->fruits);
    }

    public function pattern() {
        return $this->generator->randomElement($this->patterns);
    }

    public function theme() {
        return $this->generator->randomElement($this->themes);
    }

    public function shape() {
        return $this->generator->randomElement($this->shapes);
    }

}