<?php namespace Premmerce\DevTools\DataGenerator\Providers;

use Faker\Provider\Base;

class BrandProvider extends Base
{

    protected static $brands = [
        'A4Tech',
        'ADATA',
        'ADInstruments',
        'ADLINK',
        'AOpen',
        'ASRock',
        'Aaeon',
        'Aastra',
        'Access',
        'Accton',
        'Acer‎',
        'Achronix',
        'Acuity',
        'Adafruit',
        'Adaptec',
        'Adapteva',
        'Adonit',
        'Advanced',
        'Advantest',
        'Aeluros',
        'Aereo',
        'AeroDreams',
        'Ageia',
        'Agere',
        'Ainol',
        'Aiptek',
        'AirMagnet',
        'Alaxala',
        'Albatron',
        'Alcatel',
        'Alchip',
        'Aldec',
        'Alerton',
        'Alienware',
        'Alinco',
        'Allied',
        'AlliedSignal',
        'Allwinner',
        'Alpine',
        'Altera',
        'Altman',
        'Amalgamated',
        'Amazon',
        'Amkette',
        'Amkor',
        'Ampeg',
        'Ampex',
        'Amphenol',
        'Amstrad',
        'Analog',
        'Analogic',
        'Andor',
        'Andrea',
        'Angstrem',
        'Anritsu',
        'Anybots',
        'Aopen',
        'Apacer',
        'Apevia',
        'Apple',
        'Applied',
        'Aptina',
        'Archos',
        'Artronix',
        'Arçelik',
        'Aselsan',
        'Ashdown',
        'Asteelflash',
        'Asus‎',
        'Atari',
        'Atmel',
        'Audio',
        'Audiovox',
        'AuthenTec',
        'Automatic',
        'Autonet',
        'Auzentech',
        'Avangard',
        'Avanti',
        'Avaya',
        'Averatec',
        'Avibras',
        'Avigilon',
        'Aviom',
        'Avision',
        'Avocent',
        'Avolites',
        'Avtech',
        'Axcelis',
        'Axioo',
        'Beats',
        'Beckman',
        'Beetel',
        'Behavior',
        'Belden',
        'Benchmark',
        'Bendix',
        'Berdsk',
        'Berkeley',
        'Betacom',
        'Bharat',
        'Billion',
        'Binatone',
        'Biostar',
        'Bisco',
        'BlackBerry',
        'Blackmagic',
        'Blackstar',
        'Blaupunkt',
        'Bosch',
        'Bourns',
        'Bragi',
        'Braun',
        'Bravox',
        'BreconRidge',
        'Brenell',
        'BrightSide',
        'Brite',
        'Brivo',
        'Broadcom',
        'Brociner',
        'Brooktree',
        'Brother',
        'Brothers',
        'Buffalo',
        'Bunker',
        'Bunnell',
        'Burmester',
        'Busicom',
        'Bühler',
        'CITEFA',
        'Cadence',
        'Callpod',
        'Cambridge',
        'Canadian',
        'Canon',
        'Canovate',
        'Carapelli',
        'Carlsbro',
        'Carlson',
        'Casio',
        'Caswell',
        'Cavium',
        'Celestica',
        'Celkon',
        'Centaur',
        'Central',
        'Chaintech',
        'Changhong',
        'Channel',
        'Chartered',
        'Chelsio',
        'Cherry',
        'ChiMei',
        'Chicony',
        'China',
        'Chino',
        'Chips&Media',
        'ChromaATE',
        'Chyron',
        'Cicaré',
        'CipherLab',
        'Cisco',
        'Citizen',
        'Clairtone',
        'Clarinox',
        'Clarion',
        'Codan',
        'Cogobuy',
        'Collaro',
        'Color',
        'Commodore',
        'Compal',
        'Concord',
        'Condenser',
        'Conexant',
        'Console',
        'Continental',
        'Convia',
        'CoolTouch',
        'Coolpad',
        'Corega',
        'Corelis',
        'Coretronic',
        'Cortina',
        'Cortus',
        'Cosmic',
        'Cowon',
        'Creation',
        'Creative',
        'Creek',
        'Crosfield',
        'Crosley',
        'Crossbow',
        'Crossecom',
        'Crown',
        'Crucial',
        'Curtis',
        'Cyrix',
        'DBTel',
        'DSPACE',
        'Daewoo',
        'Daewoos',
        'Daikin',
        'Dainippon',
        'Daisy',
        'Dallas',
        'Damage',
        'Dansette',
        'Darty',
        'Datacard',
        'Dataram',
        'Datel',
        'Dawlance',
        'Decca',
        'Decimo',
        'Defence',
        'Definitive',
        'Deister',
        'Delta',
        'Dempa',
        'Denko',
        'Denkoh',
        'Denon',
        'Deutsch',
        'Devolo',
        'Dialight',
        'Dialog',
        'Diamond',
        'Diatone',
        'Diezel',
        'Digifusion',
        'Digital',
        'Dokorder',
        'Dolby',
        'Doppler',
        'DrayTek',
        'Dreams',
        'Dubilier',
        'Ducretet',
        'Dunlop',
        'Dynalite',
        'Dynatron',
        'Dynex',
        'Dyras',
        'Dyson',
        'ELCAN',
        'EagleEye',
        'Earthworks',
        'Eclipse',
        'Edimax',
        'Edison',
        'Eikos',
        'Elecom',
        'Elecraft',
        'Electro',
        'Electrocomponents',
        'Electrohome',
        'Electrolux',
        'Electron',
        'Electronic',
        'Electronix',
        'Elektrosignal',
        'Element',
        'Elemental',
        'Elitegroup',
        'Elmos',
        'Elpida',
        'Embraer',
        'Emerson',
        'Eminent',
        'EnOcean',
        'Entempo',
        'Epcos',
        'Epiphan',
        'Epistar',
        'Epson',
        'Epyon',
        'Eurocom',
        'Eurotherm',
        'Everex',
        'Everlight',
        'Evertz',
        'Evesham',
        'Exatron',
        'ExcelStor',
        'Exergen',
        'FAdeA',
        'FaceVsion',
        'Fairchild',
        'Fairlight',
        'Faraday',
        'Ferguson',
        'Ferranti',
        'First',
        'Fisher',
        'Fitbit',
        'Fluke',
        'Flytech',
        'Formac',
        'Founder',
        'Foxconn',
        'Foxconn‎',
        'Francotyp',
        'Frantone',
        'Freenex',
        'Freescale',
        'Fujifilm',
        'Fujikura',
        'Fujitsu',
        'Fukuda',
        'Funai',
        'Funke',
        'Funtech',
        'Furukawa',
        'Furuno',
        'Future',
        'GainSpan',
        'Gainward',
        'GamePark',
        'Garmin',
        'Gateway',
        'Geliyoo',
        'Gemalto',
        'Generac',
        'General',
        'Genesis',
        'Getac',
        'GigaDevice',
        'Gigabyte',
        'Gigaset',
        'Gionee',
        'Glassbridge',
        'Global',
        'Godrej',
        'Goertek',
        'Goodmans',
        'Google',
        'Grace',
        'Gradiente',
        'Graphtec',
        'Grass',
        'Greenliant',
        'Groupe',
        'Grumman',
        'Grundig',
        'HTC‎',
        'Hacha',
        'Hacker',
        'Hager',
        'Haier',
        'Hamamatsu',
        'Handera',
        'Handspring',
        'Hankook',
        'HannStar',
        'Hansol',
        'Hanwha',
        'Harman',
        'Harris',
        'Hasee',
        'Havells',
        'Hayden',
        'Heiwa',
        'Helios',
        'Henkel',
        'Hensoldt',
        'Herley',
        'Hermann',
        'HiSilicon',
        'Himax',
        'Hinari',
        'Hirose',
        'Hirox',
        'Hisense',
        'Hitachi',
        'Hiwatt',
        'Hiwave',
        'Hoffman',
        'Holtek',
        'Honeywell',
        'Horiba',
        'Huawei',
        'Hughes',
        'Humax',
        'Husqvarna',
        'Huvitz',
        'Hypex',
        'Hyundai',
        'IBALL',
        'IBall',
        'IBiquity',
        'IDroid',
        'IFrogz',
        'INVAP',
        'Ibiden',
        'Iiyama',
        'Ikanos',
        'Ikegami',
        'Immersion',
        'InFocus',
        'Individual',
        'Indramat',
        'Indumil',
        'Infineon',
        'Infortrend',
        'Ingram',
        'InnoLux',
        'Inotera',
        'Insyde',
        'Integrated',
        'Intel',
        'Interlink',
        'Intermec',
        'International',
        'Intersil',
        'Intex',
        'InvenSense',
        'Inventec',
        'Inventel',
        'Invoxia',
        'Irisys',
        'Iriver',
        'Itautec',
        'Ittiam',
        'Iwatsu',
        'JMicron',
        'JVCKenwood',
        'Jabil',
        'Jabra',
        'Jackson',
        'Jadever',
        'James',
        'Jamuna',
        'Japan',
        'Jenoptik',
        'Jerrold',
        'Jetta',
        'Johannus',
        'Johnson',
        'Jurong',
        'KEMET',
        'KWorld',
        'Kaleidescape',
        'Karbonn',
        'Kejian',
        'Kempston',
        'Kenshi',
        'Kenstar',
        'Kenwood',
        'Kerbango',
        'Keyence',
        'Keysight',
        'Kingbright',
        'Kingmax',
        'Kingston',
        'Kiramek',
        'Kodak',
        'Kogyo',
        'Kolster',
        'Kongsberg',
        'Konica',
        'Konka',
        'Kontron',
        'Kopin',
        'Kovio',
        'Kyeyang',
        'Kyocera',
        'Kyoto',
        'Lab126',
        'Lafayette',
        'Lagotek',
        'Lanix',
        'Lanner',
        'Lantiq',
        'Largan',
        'Lasonic',
        'Lattice',
        'Lauron',
        'Lauterbach',
        'LeCroy',
        'LeEco',
        'Leadtek',
        'Leitch',
        'Lemote',
        'Lenovo',
        'Lenoxx',
        'Leshi',
        'Lexar',
        'Lightwave',
        'Lindos',
        'Lindy',
        'Linux',
        'Litton',
        'LiveU',
        'Loewe',
        'Logitech',
        'Lokata',
        'Lowry',
        'Luxtera',
        'Lyrtech',
        'MARTI',
        'MIPRO',
        'MStar',
        'Machinery',
        'Magnavox',
        'Magnepan',
        'Mamiya',
        'Marantz',
        'Marconi',
        'Marconiphone',
        'Marlow',
        'Marmon',
        'Martin',
        'Maruhon',
        'Marvell',
        'Maspro',
        'Matamp',
        'Matias',
        'Matra',
        'Matrox',
        'Maxell',
        'Maxim',
        'Maycom',
        'McCune',
        'Mectron',
        'MediaTek',
        'Medion',
        'Meebox',
        'Megger',
        'Meitu',
        'Meizu',
        'Melco',
        'Memorex',
        'Memotech',
        'Mentor',
        'Meteor',
        'MiTAC',
        'Michell',
        'Micro',
        'MicroUnity',
        'Microchip',
        'Micromax',
        'Micron',
        'Microsoft',
        'Microtech',
        'Microtek',
        'Midea',
        'Miele',
        'Mikron',
        'Milbert',
        'Mindspeed',
        'Minebea',
        'Minolta',
        'Mitchell',
        'Mitsubishi',
        'Mitsumi',
        'Monitor',
        'Monolithic',
        'Monoprice',
        'Monster',
        'Morphy',
        'Moser',
        'Mostek',
        'Motorola',
        'Mullard',
        'Murata',
        'Murphy',
        'Mustek',
        'Mutoh',
        'MyndPlay',
        'Myzornis',
        'NTDEC',
        'National',
        'Navigon',
        'NeoMagic',
        'NeoPhotonics',
        'Neofonie',
        'Neoway',
        'NetLogic',
        'Netac',
        'Netcell',
        'Neuros',
        'NewGin',
        'Nichia',
        'Nichicon',
        'Nidec',
        'Nihon',
        'Nikon',
        'NimbleTV',
        'Nimbus',
        'Ninetology',
        'Ningbo',
        'Nintendo',
        'Nippon',
        'Nitto',
        'Nixdorf',
        'NoWires',
        'Nokia',
        'Nordic',
        'Nordmende',
        'Norpak',
        'Nortel',
        'Northrop',
        'Nostromo',
        'Notion',
        'Novak',
        'Novar',
        'Novellus',
        'Nubia',
        'Nufront',
        'Numoni',
        'Nuvoton',
        'Nvidia',
        'Oberheim',
        'Olympus',
        'Omron',
        'OnStream',
        'Onanon',
        'OnePlus',
        'Onida',
        'OpenCube',
        'Operational',
        'Optonica',
        'Orange',
        'Orbit',
        'Oregon',
        'Orient',
        'Orion',
        'Oxford',
        'Oysters',
        'PANalytical',
        'PENTAX',
        'Packard',
        'Packet',
        'Palit',
        'Panasonic',
        'Panda',
        'Panon',
        'Pantech',
        'Paradox',
        'Parallax',
        'Peckham',
        'Pegatron',
        'Peiker',
        'Pennine',
        'Pensonic',
        'Pentair',
        'Pentax',
        'Perceptive',
        'Perdio',
        'Philco',
        'Philips',
        'Phison',
        'Phoenix',
        'Photek',
        'Photonix',
        'Photronics',
        'Pinnacle',
        'Pioneer',
        'Pirometer',
        'Pixel',
        'Pixela',
        'Planar',
        'Plant',
        'Plantronics',
        'Plastic',
        'Plessey',
        'Plextor',
        'Plustek',
        'Polytron',
        'Popov',
        'Positivo',
        'PowerColor',
        'PowerLab',
        'Powerchip',
        'Powertech',
        'Powertron',
        'Powerware',
        'Precision',
        'Princeton',
        'Prinz',
        'Prior',
        'Promise',
        'Prong',
        'Pulse',
        'PureWave',
        'QMobile',
        'Qualcomm',
        'Qualitrol',
        'Quanta',
        'Quanta‎',
        'Quantum3D',
        'RGJones',
        'RIGOL',
        'Rabbit',
        'Racal',
        'Radford',
        'Radio',
        'RadioShack',
        'Radiotechnique',
        'Ralink',
        'Rangs',
        'Rannoch',
        'Rapiscan',
        'Raytheon',
        'Realtek',
        'Rectilinear',
        'Redarc',
        'Redifon',
        'Redline',
        'Remote',
        'Renco',
        'Renesas',
        'Research',
        'Revox',
        'Rhythm',
        'Ricoh',
        'Riedel',
        'Ritek',
        'Riverside',
        'Roberts',
        'Rovercomputers',
        'Rubycon',
        'Runco',
        'Russell',
        'Røde',
        'SAGEMCOM',
        'SAMCO',
        'SPARKLE',
        'SPiDCOM',
        'START',
        'SWTPC',
        'Saehan',
        'Saisho',
        'Saleae',
        'Samart',
        'Sampo',
        'Samsung',
        'Samtel',
        'SanDisk',
        'SandForce',
        'Sandisk',
        'Sandvine',
        'Sangean',
        'Sangikyo',
        'Sankyo',
        'Sanmina',
        'Sansui',
        'Sanwa',
        'Sanyo',
        'Sarantel',
        'Sarnoff',
        'Satellite',
        'Satmex',
        'Savin',
        'Savoir',
        'Sceptre',
        'Schaak',
        'Schneider',
        'Schroff',
        'Seagate',
        'Seattle',
        'Second',
        'SeeReal',
        'Seiko',
        'Seikosha',
        'Selex',
        'Seneca',
        'Sennheiser',
        'Seoul',
        'Sepura',
        'Server',
        'Setchell',
        'Setcom',
        'Seventeam',
        'Severin',
        'Shadrinsk',
        'Sharp',
        'Sherwood',
        'Shihlin',
        'Shimadzu',
        'Shinano',
        'Shinco',
        'Shindengen',
        'Shintom',
        'Shuttle',
        'Siemens',
        'Sierra',
        'Sigma',
        'SigmaTel',
        'Silicon',
        'SilverStone',
        'Simmtronics',
        'Simtek',
        'Sinar',
        'Sinclair',
        'Sindoh',
        'Siragon',
        'Sitecom',
        'Sitronics',
        'Sixjax',
        'SkyBitz',
        'SkyRadar',
        'Skyguard',
        'Skyworth',
        'Smartisan',
        'Smith',
        'Solar',
        'Solectron',
        'Sonic',
        'Sonodyne',
        'Sonos',
        'Sookbox',
        'Sound',
        'Soundcast',
        'Soundcraft',
        'Southern',
        'Sozvezdie',
        'Space',
        'Spectron',
        'Standard',
        'Stanford',
        'Stanley',
        'Stanton',
        'Starmobile',
        'Sterlite',
        'Strong',
        'Strymon',
        'Sugamax',
        'Sumitomo',
        'Summit',
        'SunComm',
        'Sungale',
        'Surya',
        'SuzoHapp',
        'Synertek',
        'Synology',
        'Synopsys',
        'System',
        'TASCAM',
        'Tachikawa',
        'Taekwang',
        'Taiyo',
        'Takaya',
        'Tandberg',
        'Tandy',
        'Tatung',
        'TechniSat',
        'Techwin',
        'Tecom',
        'Tekom',
        'Tektronix',
        'TeleMation',
        'TeleType',
        'Telectronics',
        'Teledyne',
        'Telefunken',
        'Teleplan',
        'Teletrol',
        'Telsen',
        'Tennelec',
        'Teradyne',
        'Teras',
        'Texas',
        'Texet',
        'Thales',
        'Thecus',
        'Thermalright',
        'Thermaltake',
        'Thermo',
        'Thinking',
        'Thomas',
        'Thomson',
        'Thorn',
        'Thornal',
        'Thunder',
        'Tiger',
        'Tilera',
        'TimeTrax',
        'Tokin',
        'Tokyo',
        'TomTom',
        'Topcon',
        'Topfield',
        'Toppan',
        'Toshiba',
        'Towada',
        'Transcend',
        'Transradio',
        'TrekStor',
        'Trend',
        'TriGem',
        'Tribe',
        'Truevision',
        'Trust',
        'Tsushinki',
        'Tungsten',
        'UTStarcom',
        'Ubicom',
        'Ultimate',
        'Ultra',
        'Underwater',
        'Uniden',
        'Uniross',
        'Unisonic',
        'Unisys',
        'United',
        'Universal',
        'VIA‎',
        'Validus',
        'Valups',
        'Valve',
        'Vanguard',
        'Varian',
        'Vatman',
        'Vecima',
        'Vector',
        'Vektor',
        'VeriWave',
        'VersaMe',
        'Vertu',
        'Vestax',
        'Vestel',
        'ViTrox',
        'Victor',
        'Video',
        'Videocon',
        'Videosphere',
        'Videoton',
        'ViewSonic',
        'Viewsonic',
        'Virage',
        'Virtue',
        'Vishay',
        'Vista',
        'Vizio',
        'Voice',
        'Voltech',
        'Volterra',
        'Wacom',
        'Wahoo',
        'Walton',
        'Watkins',
        'Wavetek',
        'Webster',
        'Wegert',
        'Weisscam',
        'Weitek',
        'Western',
        'Westinghouse',
        'Whistler',
        'Wileyfox',
        'Wilson',
        'Winbond',
        'Wincor',
        'Winradio',
        'Wintek',
        'Wistron',
        'Wolfson',
        'Wortmann',
        'Wunder',
        'Xeltek',
        'Xerox',
        'Xiaomi',
        'Xilence',
        'Xsens',
        'Yaesu',
        'Yageo',
        'Yamaha',
        'Yaskawa',
        'Yiynova',
        'Yokogawa',
        'Yorkville',
        'Yuden',
        'Yupiteru',
        'Zalman',
        'Zebra',
        'Zenith',
        'Zetexs',
        'Zetron',
        'Zhuzhou',
        'Ziehl',
        'Zilog',
        'Zonda',
        'Zuken',
        'ZyXEL',
        'Zytronic',
        'eMachines',
    ];

    protected static $shortBrands = [
        '3M',
        'A&D',
        'A.C',
        'A.G',
        'AC',
        'AEG',
        'AG',
        'AKM',
        'ALi',
        'AMD',
        'AOC',
        'AOR',
        'APC',
        'ASIX',
        'ASML',
        'ATI',
        'ATM',
        'ATP',
        'AU',
        'AVM',
        'AVX',
        'AVer',
        'Acer',
        'Ador',
        'Aigo',
        'Aiwa',
        'Akai',
        'Alba',
        'Alfa',
        'Alps',
        'Amoi',
        'Apex',
        'Arm',
        'Asus',
        'BAE',
        'BASF',
        'BBK',
        'BGW',
        'BMTF',
        'BPL',
        'BSH',
        'BT',
        'BV',
        'BYD',
        'Beko',
        'Bell',
        'BenQ',
        'Besi',
        'Bit',
        'Bose',
        'Burr',
        'Bush',
        'CEA',
        'CGV',
        'CNet',
        'CRS',
        'CS',
        'CSR',
        'Ceco',
        'Coby',
        'Core',
        'Creo',
        'D&b',
        'D+M',
        'D-Link‎',
        'DAK',
        'DC',
        'DFI',
        'DSP',
        'DYMO',
        'Dane',
        'Dell',
        'Doel',
        'Dog',
        'Dowa',
        'Dual',
        'E-TEN',
        'E.F',
        'E.F',
        'ECS',
        'EDGE',
        'EE',
        'EKCO',
        'EKTA',
        'ELP',
        'ELSA',
        'EM',
        'EMI',
        'EMS',
        'EPoX',
        'ERNI',
        'ESL',
        'Echo',
        'Eden',
        'Eiki',
        'Eizo',
        'Elmo',
        'Elna',
        'Elsa',
        'Eye',
        'FSP',
        'FiiO',
        'Fire',
        'Flex',
        'Fuji',
        'G.Skill',
        'GE',
        'GRE',
        'GS',
        'Gale',
        'GeIL',
        'Gold',
        'H8',
        'HCL',
        'HCT',
        'HH',
        'HP',
        'HRL',
        'HTC',
        'Hana',
        'Heil',
        'Hoya',
        'I-View',
        'I.D',
        'I.D',
        'IBM',
        'IEC',
        'IM',
        'INOI',
        'IO',
        'IP',
        'IS',
        'Icom',
        'Ikon',
        'Ink',
        'JBL',
        'JDSU',
        'JVC',
        'JXD',
        'Joas',
        'K.W',
        'K.W',
        'KCF',
        'KEF',
        'KMC',
        'KOA',
        'KYE',
        'Kdan',
        'Kobo',
        'Koss',
        'Koyo',
        'L1',
        'L3',
        'LG',
        'LLC',
        'LPKF',
        'LRAD',
        'LYF',
        'Lava',
        'Lawo',
        'Les',
        'Lian',
        'Life',
        'Lite-On',
        'Lux',
        'M-Pio',
        'M2M',
        'M3',
        'MAG',
        'MCST',
        'MDA',
        'MOS',
        'MSI',
        'MTS',
        'MYMO',
        'Mabe',
        'Metz',
        'Mio',
        'Mix',
        'N.F',
        'N.F',
        'NCR',
        'NEC',
        'NKK',
        'NPO',
        'NTC',
        'NXPs',
        'Neo',
        'Neve',
        'New',
        'ODIN',
        'OSI',
        'Océ',
        'Oki',
        'Oppo',
        'PDF',
        'PEL',
        'PSC',
        'Pace',
        'Palm',
        'Pilz',
        'Plat',
        'Pou',
        'Pure',
        'Pye',
        'Q',
        'Q-MAC',
        'Qi',
        'QiKU',
        'Quad',
        'RCA',
        'RF',
        'RME',
        'Raon',
        'Rega',
        'Renkus-Heinz',
        'Riso',
        'Rohm',
        'Roku',
        'Ross',
        'S-LCD',
        'S3',
        'SABA',
        'SGI',
        'SII',
        'SK',
        'SMS',
        'SMTC',
        'SNK',
        'SSMC',
        'ST',
        'SY',
        'Sea',
        'Sega',
        'SiRF',
        'Sky',
        'Slim',
        'Snom',
        'Sol',
        'Sony',
        'Sord',
        'Soyo',
        'Star',
        'Su-Kam',
        'Sun',
        'TCL',
        'TDK',
        'TEAC',
        'TECO',
        'TOA',
        'TP-Link',
        'TRW',
        'TSMC',
        'TVS',
        'Tech',
        'Toho',
        'True',
        'Tung',
        'Tyan',
        'UMAX',
        'Uher',
        'VEB',
        'VIA',
        'VIT',
        'VK',
        'VLSI',
        'Vax',
        'Vero',
        'Vivo',
        'Vix',
        'Voxx',
        'Vsun',
        'Vu',
        'WEG',
        'WEGA',
        'Wi',
        'Wiko',
        'X-Fab',
        'X-Rite',
        'X-mini',
        'X10',
        'XFX',
        'XGI',
        'Xolo',
        'Yota',
        'Z+F',
        'ZENN',
        'ZTE',
        'ZUK',
        'Zopo',
        'Zync',
    ];

    protected static $addOns = [
        'Aircraft',
        'Amplification',
        'Amplifiers',
        'Associates',
        'Audio',
        'Aviation',
        'Avionics',
        'Brothers',
        'Center',
        'Circuits',
        'Cloud',
        'Co',
        'Communications',
        'Company',
        'Components',
        'Computers',
        'Computing',
        'Controls',
        'Corp',
        'Corporation',
        'Design',
        'Development',
        'Devices',
        'Digital',
        'Electric',
        'Electron',
        'Electronic',
        'Electronics',
        'Engineering',
        'Enterprise',
        'Equipment',
        'Express',
        'Fitness',
        'Global',
        'GmbH',
        'Graphics',
        'Group',
        'Hardware',
        'Holdings',
        'Inc',
        'Incorporated',
        'Industrial',
        'Industries',
        'Industry',
        'Innovators',
        'Instrument',
        'Instruments',
        'Integrated',
        'International',
        'Intertechnology',
        'Lab',
        'Laboratories',
        'Labs',
        'Limited',
        'Logic',
        'Ltd',
        'Machines',
        'Magnetics',
        'Manufacturing',
        'Materials',
        'Micro',
        'Microchip',
        'Microelectronics',
        'Micronics',
        'Microsystems',
        'Monolithics',
        'Multimedia',
        'Networks',
        'Nucleonics',
        'Ocean',
        'Optical',
        'Optronics',
        'Park',
        'Photonics',
        'Plant',
        'Power',
        'Products',
        'Radio',
        'Research',
        'Robotics',
        'Scientific',
        'Security',
        'Semiconductor',
        'Services',
        'Software',
        'Solution',
        'Solutions',
        'Storage',
        'Systems',
        'Tech',
        'Technologies',
        'Technology',
        'Valley',
        'Wireless',
        'Works',
    ];

    protected static $brandFormats = [
        '{{brandTitle}} {{brandAddOn}} {{brandAddOn}}',
        '{{brandTitle}} {{brandAddOn}}',
        '{{brandTitle}} & {{brandTitle}}',
        '{{brandTitle}}-{{brandTitle}}',
        '{{brandTitle}}',
        '{{brandShortTitle}}',
    ];

    protected static $fakeBrandFormats = [
        '{{fakeBrand}} {{brandAddOn}} {{brandAddOn}}',
        '{{fakeBrand}} {{brandAddOn}} {{brandAddOn}}',
        '{{fakeBrand}} {{brandAddOn}}',
        '{{fakeBrand}} & {{fakeBrand}}',
        '{{fakeBrand}}-{{fakeBrand}}',
        '{{fakeBrand}}',
    ];

    public static function fakeBrand() {
        $func = self::randomElement([1, 2, 3]);

        switch ($func) {
            case 1;
                return self::fakeBrand1();
            case 2;
                return self::fakeBrand2();
            default:
                return self::fakeBrand3();
        }
    }

    public static function fakeBrand1() {
        $brand = static::randomElement(static::$brands);

        $b = substr($brand, round(strlen($brand) / 2)) .
            substr($brand, 0, round(strlen($brand) / 2));

        return ucfirst(strtolower($b));
    }

    public static function fakeBrand2() {
        $brand1 = static::randomElement(static::$brands);
        $brand2 = static::randomElement(static::$brands);

        $b = substr($brand1, 0, round(strlen($brand1) / 2))
            . substr($brand2, round(strlen($brand2) / 2));

        return ucfirst(strtolower($b));
    }

    public static function fakeBrand3() {
        $brand1 = static::randomElement(static::$brands);
        $brand2 = static::randomElement(static::$brands);
        $brand3 = static::randomElement(static::$brands);

        $b =
            substr($brand1, 0, round(strlen($brand1) / 3))
            . substr($brand2, round(strlen($brand2) / 3), round(strlen($brand2) / 3))
            . substr($brand3, round(strlen($brand3) / 3));


        return ucfirst(strtolower($b));

    }

    public static function brandTitle() {
        return static::randomElement(static::$brands);
    }

    public static function brandShortTitle() {
        return static::randomElement(static::$shortBrands);
    }

    public static function brandAddOn() {
        return static::randomElement(static::$addOns);
    }

    public function brandNameSingle() {
        return self::brandTitle();
    }

    public function brandFakeName() {
        $format = static::randomElement(static::$fakeBrandFormats);

        return $this->generator->parse($format);
    }


    public function brandRealName() {
        $format = static::randomElement(static::$brandFormats);

        return $this->generator->parse($format);
    }

    public function brandName() {
        $fake = self::randomElement([1, 0]);

        return $fake ? $this->brandFakeName() : $this->brandRealName();
    }


}