<?php namespace Premmerce\DevTools\DataGenerator\Providers;

use Faker\Provider\Base;

class CategoryProvider extends Base
{

    protected $categories = [
        '3D',
        'Abacuses',
        'Abrasive',
        'Absinthe',
        'Absorbers',
        'Accelerometers',
        'Accent',
        'Access',
        'Accessibility',
        'Accessories',
        'Accessory',
        'Accesssories',
        'Accordions',
        'Accounting',
        'Acid',
        'Acne',
        'Acoustic',
        'Action',
        'Activewear',
        'Activities',
        'Activity',
        'Actuators',
        'Acupuncture',
        'Adapter',
        'Adapters',
        'Adding',
        'Additives',
        'Address',
        'Adhesive',
        'Adhesives',
        'Adjustable',
        'Adult',
        'Advent',
        'Advertisements',
        'Advertising',
        'Advice',
        'Aerators',
        'Aerobic',
        'Aftershave',
        'Agility',
        'Agriculture',
        'Aid',
        'Aids',
        'Air',
        'Airbag',
        'Airbags',
        'Airbrush',
        'Airbrushes',
        'Aircraft',
        'Airplanes',
        'Airpots',
        'Airships',
        'Airsoft',
        'Aisle',
        'Alarm',
        'Alarms',
        'Albums',
        'Alcoholic',
        'Alignment',
        'Allergy',
        'Alphabet',
        'Altars',
        'Alternatives',
        'Alternators',
        'Altimeters',
        'Altitude',
        'Alto',
        'Amaranth',
        'Ambient',
        'Ammonia',
        'Ammunition',
        'Amphibian',
        'Amplifier',
        'Amplifiers',
        'Analyzers',
        'Anchor',
        'Anchoring',
        'Anchors',
        'Andirons',
        'Anemometers',
        'Animal',
        'Animals',
        'Animation',
        'Anklets',
        'Anode',
        'Answering',
        'Ant',
        'Antenna',
        'Antennas',
        'Anti-Aging',
        'Anti-Fatigue',
        'Anti-Perspirant',
        'Anti-Static',
        'Antifreeze',
        'Antiseptics',
        'Antivirus',
        'Anvils',
        'Apnea',
        'Apparel',
        'Appetizers',
        'Apple',
        'Apples',
        'Appliance',
        'Appliances',
        'Application',
        'Applicators',
        'Appliques',
        'Apricots',
        'Aprons',
        'Aquarium',
        'Aquariums',
        'Aquatic',
        'Arbors',
        'Arcade',
        'Archery',
        'Arches',
        'Arm',
        'Armatures',
        'Armbands',
        'Armguards',
        'Armoires',
        'Arms',
        'Arracachas',
        'Arrays',
        'Arrow',
        'Arrows',
        'Art',
        'Artichokes',
        'Artificial',
        'Arts',
        'Artwork',
        'Arugula',
        'Ascenders',
        'Ashtrays',
        'Asparagus',
        'Aspirators',
        'Assortments',
        'Astringents',
        'Astronomy',
        'Atemoyas',
        'Athletic',
        'Athletics',
        'Attachments',
        'Attendance',
        'Attractants',
        'ATV',
        'ATVs',
        'Audio',
        'Augers',
        'Auto',
        'Autoclaves',
        'Autographed',
        'Autographs',
        'Automated',
        'Automation',
        'Automotive',
        'AV',
        'Avalanche',
        'Avocados',
        'Awards',
        'Awls',
        'Awning',
        'Awnings',
        'Axe',
        'Axes',
        'Axles',
        'Babacos',
        'Back',
        'Backboards',
        'Backgrounds',
        'Backpacks',
        'Backplates',
        'Backrest',
        'Backs',
        'Badge',
        'Badminton',
        'Bag',
        'Bagels',
        'Bagpipes',
        'Bags',
        'Bait',
        'Baits',
        'Bakery',
        'Bakeware',
        'Baking',
        'Balaclavas',
        'Balance',
        'Bald',
        'Ball',
        'Ballasts',
        'Ballcocks',
        'Ballers',
        'Ballet',
        'Balloon',
        'Balloons',
        'Balls',
        'Balms',
        'Bananas',
        'Band',
        'Bandage',
        'Bandages',
        'Bandanas',
        'Bands',
        'Banking',
        'Banknote',
        'Banks',
        'Banners',
        'Baptism',
        'Bar',
        'Barcode',
        'Barebone',
        'Baritone',
        'Barley',
        'Barometers',
        'Barrels',
        'Barres',
        'Barriers',
        'Bars',
        'Barware',
        'Base',
        'Baseball',
        'Baseballs',
        'Bases',
        'Basketball',
        'Basketballs',
        'Baskets',
        'Bass',
        'Basses',
        'Bassinet',
        'Bassinets',
        'Bassoon',
        'Bassoons',
        'Basters',
        'Basting',
        'Bat',
        'Bath',
        'Bathing',
        'Bathroom',
        'Baths',
        'Bathtub',
        'Bathtubs',
        'Batons',
        'Bats',
        'Batter',
        'Batteries',
        'Battery',
        'Batting',
        'Battle',
        'Beach',
        'Beading',
        'Beads',
        'Beakers',
        'Beams',
        'Bean',
        'Beans',
        'Bearings',
        'Beaters',
        'Beauty',
        'Bed',
        'Bedding',
        'Bedroom',
        'Beds',
        'Bedskirts',
        'Beer',
        'Beet',
        'Beets',
        'Belay',
        'Bellows',
        'Bells',
        'Belt',
        'Belts',
        'Bench',
        'Benches',
        'Benders',
        'Berries',
        'Beverage',
        'Beverages',
        'Bibs',
        'Bicycle',
        'Bicycles',
        'Bidet',
        'Bidets',
        'Bike',
        'Bikes',
        'Bill',
        'Billiard',
        'Billiards',
        'Binder',
        'Binders',
        'Binding',
        'Bindings',
        'Bingo',
        'Binocular',
        'Binoculars',
        'Bins',
        'Biochemicals',
        'Biometric',
        'Bipods',
        'Bird',
        'Birdhouses',
        'Birthday',
        'Bit',
        'Bite',
        'Bits',
        'Bitters',
        'Black',
        'Blackjack',
        'Blade',
        'Blades',
        'Blank',
        'Blankets',
        'Blanks',
        'Blaster',
        'Blasters',
        'Bleach',
        'Blender',
        'Blenders',
        'Blimps',
        'Blinds',
        'Blini',
        'Blocking',
        'Blocks',
        'Blood',
        'Blotters',
        'Blotting',
        'Blower',
        'Blowers',
        'Blowing',
        'Blu-ray',
        'Bluetooth',
        'Blushes',
        'Board',
        'Boards',
        'Boat',
        'Boating',
        'Boats',
        'Bobbin',
        'Bobblehead',
        'Bocals',
        'Body',
        'Bodyboards',
        'Boiler',
        'Boilers',
        'Bok',
        'Bolt',
        'Bolts',
        'Bongos',
        'Book',
        'Bookcases',
        'Bookends',
        'Bookmarks',
        'Books',
        'Boomboxes',
        'Boomerangs',
        'Booster',
        'Boosters',
        'Boot',
        'Boots',
        'Borage',
        'Borders',
        'Borescopes',
        'Bottle',
        'Bottles',
        'Bottling',
        'Bottom',
        'Bottoms',
        'Bouncer',
        'Bouncers',
        'Bouncy',
        'Boundary',
        'Bow',
        'Bowl',
        'Bowling',
        'Bowls',
        'Bows',
        'Box',
        'Boxes',
        'Boxing',
        'Bra',
        'Bracelets',
        'Braces',
        'Brackets',
        'Brake',
        'Braking',
        'Brandy',
        'Bras',
        'Brass',
        'Brayer',
        'Bread',
        'Breadboards',
        'Breadfruit',
        'Breadmaker',
        'Breadmakers',
        'Breads',
        'Breadsticks',
        'Breaker',
        'Breast',
        'Breath',
        'Breathalyzers',
        'Brewing',
        'Brick',
        'Bricks',
        'Bridal',
        'Bridges',
        'Bridle',
        'Bridles',
        'Briefcases',
        'Briefs',
        'Briquettes',
        'Broadheads',
        'Broccoli',
        'Brochures',
        'Broiling',
        'Bronzers',
        'Brooches',
        'Broom',
        'Broomball',
        'Brooms',
        'Broths',
        'Brow',
        'Brownie',
        'Brush',
        'Brushes',
        'Brussel',
        'Bubble',
        'Buckets',
        'Buckles',
        'Buckwheat',
        'Buffers',
        'Buffets',
        'Bug',
        'Buggies',
        'Buggy',
        'Buggying',
        'Building',
        'Bulb',
        'Bulbs',
        'Bullet',
        'Bulletin',
        'Bullhorns',
        'Bullion',
        'Bumper',
        'Bumpers',
        'Bun',
        'Bundles',
        'Bungee',
        'Bunion',
        'Buns',
        'Buoyancy',
        'Buoys',
        'Burning',
        'Burp',
        'Bus',
        'Bushings',
        'Business',
        'Butter',
        'Butterfly',
        'Buttermilk',
        'Butters',
        'Button',
        'Buttons',
        'Cabbage',
        'Cabinet',
        'Cabinets',
        'Cable',
        'Cables',
        'Cache',
        'Cactus',
        'Caddies',
        'Cages',
        'Cajons',
        'Cake',
        'Cakes',
        'Calculator',
        'Calculators',
        'Calendars',
        'Calibrators',
        'Caliper',
        'Calipers',
        'Call',
        'Caller',
        'Calls',
        'Callus',
        'Camcorders',
        'Camera',
        'Cameras',
        'Camp',
        'Camping',
        'Can',
        'Candied',
        'Candle',
        'Candles',
        'Candy',
        'Cane',
        'Canes',
        'Canned',
        'Canner',
        'Canners',
        'Canoe',
        'Canoes',
        'Canopies',
        'Canopy',
        'Cans',
        'Canteens',
        'Canvas',
        'Capacitors',
        'Capers',
        'Capes',
        'Capos',
        'Caps',
        'Captains',
        'Capture',
        'Car',
        'Carabiners',
        'Carafes',
        'Carbon',
        'Carburetors',
        'Card',
        'Cardboard',
        'Cardio',
        'Cardoon',
        'Cards',
        'Cardstock',
        'Care',
        'Cargo',
        'Carpentry',
        'Carpet',
        'Carports',
        'Carrier',
        'Carriers',
        'Carrots',
        'Carrying',
        'Cars',
        'Cart',
        'Cartridge',
        'Cartridges',
        'Carts',
        'Carving',
        'Cases',
        'Cash',
        'Casserole',
        'Cassette',
        'Cassettes',
        'Cast',
        'Castanets',
        'Casters',
        'Casting',
        'Catchers',
        'Catches',
        'Cauliflower',
        'Caulking',
        'Caution',
        'CD',
        'Ceiling',
        'Celebration',
        'Celery',
        'Cellos',
        'Cells',
        'Cement',
        'Centers',
        'Centrifuges',
        'Ceramic',
        'Cereal',
        'Ceremonial',
        'Ceremony',
        'Certificates',
        'Cesspool',
        'Chafing',
        'Chain',
        'Chainrings',
        'Chains',
        'Chainsaw',
        'Chainsaws',
        'Chair',
        'Chairs',
        'Chaises',
        'Chalk',
        'Chalkboards',
        'Chandeliers',
        'Changers',
        'Changing',
        'Channel',
        'Chaps',
        'Charcoal',
        'Charcoals',
        'Chard',
        'Charge',
        'Charger',
        'Chargers',
        'Charging',
        'Charms',
        'Chartplotters',
        'Charts',
        'Check',
        'Checkbook',
        'Checks',
        'Cheek',
        'Cheerleading',
        'Cheese',
        'Chef\'s',
        'Chemical',
        'Chemicals',
        'Cherimoyas',
        'Cherries',
        'Chest',
        'Chestnuts',
        'Chests',
        'Chewing',
        'Chews',
        'Chicory',
        'Chillers',
        'Chilling',
        'Chimes',
        'Chimney',
        'Chimneys',
        'Chin',
        'China',
        'Chip',
        'Chippers',
        'Chips',
        'Chiropractic',
        'Chisels',
        'Chlorine',
        'Chocks',
        'Chocolate',
        'Cholesterol',
        'Chopstick',
        'Chopsticks',
        'Choy',
        'Christmas',
        'Chucks',
        'Chum',
        'Chutney',
        'Cider',
        'Cigar',
        'Cigarette',
        'Cigarettes',
        'Cigars',
        'Cinches',
        'Circuit',
        'Circuits',
        'Circular',
        'Circulation',
        'Citrus',
        'Clamps',
        'Clarinet',
        'Clarinets',
        'Clasps',
        'Claves',
        'Claws',
        'Clay',
        'Cleaner',
        'Cleaners',
        'Cleaning',
        'Cleansers',
        'Cleansing',
        'Cleat',
        'Cleats',
        'Clickers',
        'Clients',
        'Climate',
        'Climber',
        'Climbers',
        'Climbing',
        'Clipboards',
        'Clipper',
        'Clippers',
        'Clips',
        'Clock',
        'Clocks',
        'Closed',
        'Closers',
        'Closes',
        'Closet',
        'Closures',
        'Cloth',
        'Clothes',
        'Clothespins',
        'Clothing',
        'Cloths',
        'Club',
        'Clubs',
        'Clutch',
        'Coaching',
        'Coaster',
        'Coasters',
        'Coat',
        'Coating',
        'Coatings',
        'Coats',
        'Cocktail',
        'Coconuts',
        'Coffee',
        'Coiled',
        'Coils',
        'Coin',
        'Coins',
        'Colanders',
        'Cold',
        'Collar',
        'Collars',
        'Collectible',
        'Collectibles',
        'Collecting',
        'Collection',
        'Collectors',
        'Cologne',
        'Color',
        'Coloring',
        'Columns',
        'Combat',
        'Combo',
        'Combs',
        'Comforters',
        'Communication',
        'Communications',
        'Communion',
        'Compact',
        'Compactor',
        'Compactors',
        'Compasses',
        'Compensators',
        'Compilers',
        'Component',
        'Components',
        'Composition',
        'Compost',
        'Composters',
        'Composting',
        'Compound',
        'Compounds',
        'Compressed',
        'Compression',
        'Compressors',
        'Computer',
        'Computers',
        'Concealers',
        'Concentrators',
        'Concertinas',
        'Concession',
        'Concrete',
        'Condiment',
        'Condiments',
        'Conditioner',
        'Conditioners',
        'Conditioning',
        'Condoms',
        'Conductivity',
        'Conductor',
        'Conduit',
        'Cones',
        'Conference',
        'Conferencing',
        'Confetti',
        'Congas',
        'Connectors',
        'Console',
        'Consoles',
        'Construction',
        'Consumables',
        'Contact',
        'Container',
        'Containers',
        'Containment',
        'Contraceptive',
        'Contractor',
        'Control',
        'Controller',
        'Controllers',
        'Controls',
        'Conversion',
        'Converter',
        'Converters',
        'Conveyors',
        'Cooker',
        'Cookers',
        'Cookie',
        'Cookies',
        'Cooking',
        'Cooktop',
        'Cooktops',
        'Cookware',
        'Cooler',
        'Coolers',
        'Cooling',
        'Copier',
        'Copiers',
        'Copy',
        'Copystands',
        'Cord',
        'Corded',
        'Cordless',
        'Cords',
        'Corers',
        'Cork',
        'Corkscrews',
        'Corn',
        'Corner',
        'Cornets',
        'Cornices',
        'Correction',
        'Corsage',
        'Corsages',
        'Cosmetic',
        'Cosmetics',
        'Cosmetology',
        'Costume',
        'Costumes',
        'Cots',
        'Cottage',
        'Cotton',
        'Counter',
        'Counters',
        'Countertop',
        'Countertops',
        'Couplers',
        'Court',
        'Couscous',
        'Cover',
        'Cover-Ups',
        'Coveralls',
        'Covered',
        'Covers',
        'Cowbells',
        'Crab',
        'Crackers',
        'Cradle',
        'Cradles',
        'Craft',
        'Crafting',
        'Crafts',
        'Crampons',
        'Cranes',
        'Cranks',
        'Craps',
        'Crash',
        'Crate',
        'Crates',
        'Crayons',
        'Cream',
        'Creamer',
        'Creamers',
        'Creams',
        'Creative',
        'Credit',
        'Crib',
        'Cribs',
        'Cricket',
        'Crochet',
        'Crocks',
        'Crops',
        'Cross-Country',
        'Crossbars',
        'Crossbow',
        'Crossbows',
        'Crossovers',
        'Croutons',
        'Crowd',
        'Cruising',
        'Crumbs',
        'Crusher',
        'Crushers',
        'Crusts',
        'Crutches',
        'Cube',
        'Cubes',
        'Cubicle',
        'Cubicles',
        'Cucumbers',
        'Cue',
        'Cues',
        'Cufflinks',
        'Cuffs',
        'Cultivating',
        'Cultivator',
        'Cultivators',
        'Cultures',
        'Cup',
        'Cupcake',
        'Cupcakes',
        'Cups',
        'Curler',
        'Curlers',
        'Curling',
        'Currency',
        'Curry',
        'Curtain',
        'Curtains',
        'Cushions',
        'Cut',
        'Cut-Off',
        'Cuticle',
        'Cutlery',
        'Cutouts',
        'Cuts',
        'Cutter',
        'Cutters',
        'Cutting',
        'Cycling',
        'Cylinders',
        'Cymbal',
        'Cymbals',
        'Dairy',
        'Dampeners',
        'Dampening',
        'Dance',
        'Dancing',
        'Dappen',
        'Darkroom',
        'Dart',
        'Dartboards',
        'Darts',
        'Dashboard',
        'Data',
        'Dates',
        'De-icers',
        'Deburrers',
        'Decalcifiers',
        'Decals',
        'Decanter',
        'Decanters',
        'Deck',
        'Decks',
        'Decoders',
        'Decor',
        'Decorating',
        'Decoration',
        'Decorations',
        'Decorative',
        'Decoys',
        'Deep',
        'Defibrillators',
        'Degreasers',
        'Dehumidifier',
        'Dehumidifiers',
        'Dehydrator',
        'Dehydrators',
        'Deli',
        'Demagnetizers',
        'Dental',
        'Dentistry',
        'Denture',
        'Dentures',
        'Deodorant',
        'Deodorizing',
        'Depilatories',
        'Deposit',
        'Depressors',
        'Derailleurs',
        'Descalers',
        'Descenders',
        'Design',
        'Desk',
        'Desks',
        'Desktop',
        'Desktops',
        'Dessert',
        'Desserts',
        'Detector',
        'Detectors',
        'Detergent',
        'Dethatchers',
        'Developing',
        'Development',
        'Device',
        'Devices',
        'Dexterity',
        'Diagnostic',
        'Diaper',
        'Diapering',
        'Diapers',
        'Dice',
        'Dictation',
        'Dictionaries',
        'Dictionary',
        'Die',
        'Dies',
        'Diffusers',
        'Diggers',
        'Digital',
        'Digitizers',
        'Dining',
        'Dinnerware',
        'Diodes',
        'Dip',
        'Dips',
        'Direct',
        'Dirndls',
        'Disc',
        'Disco',
        'Discs',
        'Discus',
        'Disease',
        'Dish',
        'Dishes',
        'Dishwasher',
        'Dishwashers',
        'Disinfectants',
        'Disk',
        'Disks',
        'Dispensers',
        'Dispensing',
        'Display',
        'Displays',
        'Disposable',
        'Disposal',
        'Disposals',
        'Dissection',
        'Distance',
        'Distillers',
        'Dive',
        'Divider',
        'Dividers',
        'Diving',
        'Divot',
        'DJ',
        'Dock',
        'Docking',
        'Docks',
        'Document',
        'Dog',
        'Doilies',
        'Doll',
        'Dollhouse',
        'Dollhouses',
        'Dollies',
        'Dolls',
        'Donut',
        'Donuts',
        'Door',
        'Doors',
        'Double',
        'Douches',
        'Dough',
        'Dowel',
        'Down',
        'Downhill',
        'Drafting',
        'Drain',
        'Drains',
        'Drape',
        'Drapes',
        'Drawer',
        'Drawers',
        'Drawing',
        'Dreamcatchers',
        'Dress',
        'Dressers',
        'Dresses',
        'Dressing',
        'Dried',
        'Drill',
        'Drills',
        'Drink',
        'Drinking',
        'Drinks',
        'Drinkware',
        'Drip',
        'Drive',
        'Driver',
        'Drivers',
        'Drives',
        'Drivetrain',
        'Drop',
        'Drops',
        'Drug',
        'Drugs',
        'Drum',
        'Drums',
        'Dry',
        'Dry-Erase',
        'Dryer',
        'Dryers',
        'Drying',
        'Drysuits',
        'Drywall',
        'Duct',
        'Ducts',
        'Duffel',
        'Dummies',
        'Dummy',
        'Dumpsters',
        'Dune',
        'Duplexers',
        'Duplicators',
        'Dust',
        'Duster',
        'Dusters',
        'Dustpans',
        'Dutch',
        'Duvet',
        'DVD',
        'DVDs',
        'DVI',
        'Dyes',
        'E-Book',
        'Ear',
        'Earmuffs',
        'Earplug',
        'Earplugs',
        'Earrings',
        'Earthquake',
        'Easel',
        'Easels',
        'Easter',
        'Ecospheres',
        'Edger',
        'Edgers',
        'Edges',
        'Edging',
        'Edible',
        'Edibles',
        'Editing',
        'Educational',
        'Effects',
        'Effluent',
        'Egg',
        'Eggnog',
        'Eggplants',
        'Eggs',
        'Ejection',
        'Elastic',
        'Elbow',
        'Electric',
        'Electrical',
        'Electrician',
        'Electrolysis',
        'Electronic',
        'Electronics',
        'Elements',
        'Elliptical',
        'Embellishments',
        'Emblems',
        'Embossers',
        'Embossing',
        'Emergency',
        'Emery',
        'Encasements',
        'Enclosure',
        'Enclosures',
        'Encoders',
        'End',
        'Enema',
        'Energy',
        'Enforcement',
        'Engine',
        'Engines',
        'English',
        'Enhancers',
        'Enhancing',
        'Enlargers',
        'Enlarging',
        'Entertainers',
        'Entertainment',
        'Entry',
        'Entryway',
        'EntrÃ©es',
        'Envelope',
        'Envelopes',
        'Epilators',
        'Equalizers',
        'Equestrian',
        'Equipment',
        'Erasers',
        'Erotic',
        'Escutcheons',
        'Espresso',
        'Ethernet',
        'Euphoniums',
        'Evaporative',
        'Event',
        'Examination',
        'Executive',
        'Exercise',
        'Exercisers',
        'Exhaust',
        'Exit',
        'Expansion',
        'Exploration',
        'Extenders',
        'Extension',
        'Extensions',
        'External',
        'Extinguisher',
        'Extinguishers',
        'Extractors',
        'Extracts',
        'Eye',
        'Eyebrow',
        'Eyeglass',
        'Eyeglasses',
        'Eyelash',
        'Eyelashes',
        'Eyelets',
        'Eyelid',
        'Eyeliner',
        'Eyepieces',
        'Eyewear',
        'Fabric',
        'Face',
        'Facial',
        'Facility',
        'False',
        'Fan',
        'Fanny',
        'Fans',
        'Farms',
        'Fascinators',
        'Fashion',
        'Fasteners',
        'Fat',
        'Faucet',
        'Faucets',
        'Favors',
        'Fax',
        'Feathers',
        'Feed',
        'Feeder',
        'Feeders',
        'Feeding',
        'Feet',
        'Feijoas',
        'Felting',
        'Feminine',
        'Fence',
        'Fencing',
        'Fenders',
        'Fennel',
        'Fermentation',
        'Ferns',
        'Fertility',
        'Fertilizers',
        'Fiber',
        'Fibers',
        'Fiddlehead',
        'Field',
        'Figs',
        'Figure',
        'Figures',
        'Figurines',
        'File',
        'Files',
        'Filing',
        'Filler',
        'Fillers',
        'Filling',
        'Fillings',
        'Film',
        'Films',
        'Filter',
        'Filters',
        'Filtration',
        'Finance',
        'Financial',
        'Finders',
        'Findings',
        'Finger',
        'Fingerboard',
        'Fingerboards',
        'Fingerprint',
        'Fingertip',
        'Finials',
        'Finishes',
        'Finishing',
        'Fins',
        'Fire',
        'Firecrackers',
        'Fireman\'s',
        'Fireplace',
        'Fireplaces',
        'Firewall',
        'FireWire',
        'Firewood',
        'Fireworks',
        'First',
        'Fish',
        'Fishing',
        'Fitness',
        'Fittings',
        'Fixatives',
        'Fixture',
        'Fixtures',
        'Flag',
        'Flagging',
        'Flags',
        'Flameless',
        'Flanges',
        'Flappers',
        'Flares',
        'Flash',
        'Flashes',
        'Flashings',
        'Flashlight',
        'Flashlights',
        'Flasks',
        'Flatbacks',
        'Flatbread',
        'Flatware',
        'Flavored',
        'Flavors',
        'Flea',
        'Fletchings',
        'Flight',
        'Flights',
        'Flip',
        'Floating',
        'Floats',
        'Flood',
        'Floor',
        'Flooring',
        'Floppy',
        'Flora',
        'Floral',
        'Floss',
        'Flossers',
        'Flour',
        'Flow',
        'Flower',
        'Flowers',
        'Flues',
        'Fluid',
        'Fluids',
        'Fluorescent',
        'Flute',
        'Flutes',
        'Flutophones',
        'Flux',
        'Fly',
        'Flying',
        'FM',
        'Foam',
        'Focus',
        'Focusing',
        'Fog',
        'Foil',
        'Folder',
        'Folders',
        'Folding',
        'Fondue',
        'Fonts',
        'Food',
        'Foods',
        'Foosball',
        'Foot',
        'Footage',
        'Footbags',
        'Football',
        'Footballs',
        'Footboards',
        'Footprints',
        'Footswitches',
        'Forceps',
        'Forecasters',
        'Forestry',
        'Forks',
        'Formal',
        'Forms',
        'Formula',
        'Forwards',
        'Fossils',
        'Foundation',
        'Foundations',
        'Fountain',
        'Fountains',
        'Fragrance',
        'Fragrances',
        'Frame',
        'Frames',
        'Free',
        'Freewheels',
        'Freeze',
        'Freeze-Drying',
        'Freezer',
        'Freezers',
        'French',
        'Frequency',
        'Fresh',
        'Fresheners',
        'Fridge',
        'Fridges',
        'Front',
        'Frosting',
        'Frothers',
        'Frothing',
        'Frozen',
        'Fruit',
        'Fruits',
        'Fry',
        'Fryer',
        'Fryers',
        'Frying',
        'Fudge',
        'Fuel',
        'Fuels',
        'Funnels',
        'Furnace',
        'Furnaces',
        'Furniture',
        'Fusible',
        'Futon',
        'Futons',
        'Gadget',
        'Gadgets',
        'Gaffs',
        'Gai',
        'Gait',
        'Gaiters',
        'Game',
        'Games',
        'Gaming',
        'Garage',
        'Garages',
        'Garbage',
        'Garden',
        'Gardening',
        'Garlands',
        'Garlic',
        'Garment',
        'Garter',
        'Garters',
        'Gas',
        'Gaskets',
        'Gate',
        'Gates',
        'Gateways',
        'Gauges',
        'Gauze',
        'Gazebo',
        'Gazebos',
        'Gear',
        'Gears',
        'Geiger',
        'Gel',
        'Gelatin',
        'Gels',
        'General',
        'General-Purpose',
        'Generator',
        'Generators',
        'Gesture',
        'Ghillie',
        'Gift',
        'Gig',
        'Gigbags',
        'Gin',
        'Ginger',
        'Girdles',
        'Giving',
        'Glass',
        'Glasses',
        'Glaze',
        'Glazes',
        'Gliders',
        'Gliding',
        'Glitter',
        'Globes',
        'Glockenspiels',
        'Gloss',
        'Gloves',
        'Glucose',
        'Glue',
        'Go',
        'Goal',
        'Goalie',
        'Goals',
        'Goblet',
        'Gobo',
        'Gobos',
        'Goggle',
        'Goggles',
        'Golf',
        'Gongs',
        'Goods',
        'Gouges',
        'Gourds',
        'Gourmet',
        'Gowns',
        'GPS',
        'Grab',
        'Graduated',
        'Grains',
        'Grandfather',
        'Granola',
        'Grapefruits',
        'Grapes',
        'Graphic',
        'Graphics',
        'Grappling',
        'Grass',
        'Graters',
        'Grates',
        'Gravel',
        'Gravy',
        'Grease',
        'Greases',
        'Greenhouses',
        'Greens',
        'Greeting',
        'Grenade',
        'Grenades',
        'Griddles',
        'Grids',
        'Grill',
        'Grilling',
        'Grills',
        'Grinder',
        'Grinders',
        'Grinding',
        'Grip',
        'Grips',
        'Grits',
        'Grocery',
        'Grommets',
        'Grooming',
        'Groovers',
        'Ground',
        'Groupsets',
        'Grout',
        'Growing',
        'Growth',
        'Guacamole',
        'Guards',
        'Guavas',
        'Guides',
        'Guitar',
        'Guitars',
        'Gum',
        'Gun',
        'Guns',
        'Gurneys',
        'Gutter',
        'Gutters',
        'Gym',
        'Gymnastics',
        'Gyms',
        'Habitat',
        'Habitats',
        'Hair',
        'Hairdressing',
        'Hakama',
        'Halters',
        'Hammer',
        'Hammers',
        'Hammock',
        'Hammocks',
        'Hand',
        'Hand-Sewing',
        'Handbag',
        'Handbags',
        'Handball',
        'Handballs',
        'Handheld',
        'Handkerchiefs',
        'Handle',
        'Handlebar',
        'Handlebars',
        'Handles',
        'Handling',
        'Handmade',
        'Handrails',
        'Hang',
        'Hangers',
        'Hanging',
        'Hard',
        'Hardhats',
        'Hardtops',
        'Hardware',
        'Harmonica',
        'Harmonicas',
        'Harnesses',
        'Harps',
        'Hat',
        'Hatches',
        'Hats',
        'Hazardous',
        'HDMI',
        'Headbands',
        'Headboards',
        'Headcovers',
        'Headdresses',
        'Headgear',
        'Headjoints',
        'Headlamps',
        'Headphone',
        'Headphones',
        'Headrest',
        'Heads',
        'Headset',
        'Headsets',
        'Headties',
        'Headwear',
        'Health',
        'Hearing',
        'Heart',
        'Hearth',
        'Heat',
        'Heat-Shrink',
        'Heater',
        'Heaters',
        'Heating',
        'Heavy',
        'Hedge',
        'Helicopters',
        'Helmet',
        'Helmets',
        'Herb',
        'Herbicides',
        'Herbs',
        'Hi-Hats',
        'High',
        'Highlighter',
        'Highlighters',
        'Hiking',
        'Hinges',
        'Hitch',
        'HIV',
        'Hobbies',
        'Hobby',
        'Hockey',
        'Hoists',
        'Holdbacks',
        'Holders',
        'Holds',
        'Hole',
        'Holiday',
        'Holsters',
        'Home',
        'Homebrewing',
        'Homecare',
        'Homely',
        'Honey',
        'Hood',
        'Hoods',
        'Hook',
        'Hooks',
        'Hoop',
        'Hoops',
        'Hope',
        'Hoppers',
        'Horn',
        'Horns',
        'Horse',
        'Horseradish',
        'Horses',
        'Hose',
        'Hoses',
        'Hosiery',
        'Hospital',
        'Hospitality',
        'Hot',
        'Hotel',
        'Hour',
        'Hourglasses',
        'House',
        'Household',
        'Housekeeping',
        'Houses',
        'Housing',
        'Housings',
        'Hub',
        'Hubs',
        'Hula',
        'Humidifier',
        'Humidifiers',
        'Humidistats',
        'Humidor',
        'Humidors',
        'Hummus',
        'Hunting',
        'Hurdles',
        'Husbandry',
        'Hutches',
        'HVAC',
        'Hydration',
        'Hydraulic',
        'Hydrofoils',
        'Hygienic',
        'Hygrometers',
        'Ice',
        'Icing',
        'Icons',
        'Identification',
        'Idlers',
        'IDs',
        'Ignition',
        'Illustration',
        'Image',
        'Imaging',
        'Immobilizers',
        'Impact',
        'Impellers',
        'Improvement',
        'Impulse',
        'In-Dash',
        'In-Ground',
        'In-Line',
        'In-Wall',
        'Incandescent',
        'Incense',
        'Incontinence',
        'Incubators',
        'Index',
        'Indicators',
        'Indoor',
        'Inductors',
        'Industrial',
        'Infection',
        'Inflatable',
        'Infrared',
        'Infusions',
        'Ingredients',
        'Inhalers',
        'Injection',
        'Ink',
        'Inkjet',
        'Inks',
        'Inlets',
        'Inline',
        'Inner',
        'Innerwear',
        'Input',
        'Insect',
        'Inserts',
        'Insoles',
        'Inspection',
        'Instrument',
        'Instruments',
        'Insulated',
        'Insulation',
        'Insurance',
        'Integrated',
        'Interactive',
        'Intercom',
        'Intercoms',
        'Interface',
        'Interfacing',
        'Interior',
        'Interlocking',
        'Inversion',
        'Inverter',
        'Inverters',
        'Invitations',
        'IPL',
        'Iron',
        'Ironing',
        'Irons',
        'Irrigation',
        'Islands',
        'Items',
        'IV',
        'Jacket',
        'Jackets',
        'Jacks',
        'Jammers',
        'Jams',
        'Janitorial',
        'Japanese',
        'Jarred',
        'Jars',
        'Javelins',
        'Jellies',
        'Jelly',
        'Jerky',
        'Jerseys',
        'Jet',
        'Jets',
        'Jew\'s',
        'Jewelry',
        'Jicama',
        'Jigs',
        'Jigsaw',
        'Jigsaws',
        'Jock',
        'Joggers',
        'Johns',
        'Jointers',
        'Juggling',
        'Juice',
        'Juicer',
        'Juicers',
        'Jukeboxes',
        'Jump',
        'Jumper',
        'Jumpers',
        'Jumpsuits',
        'Kale',
        'Kaleidoscopes',
        'Karaoke',
        'Karts',
        'Kayak',
        'Kayaks',
        'Keepers',
        'Kennel',
        'Kennels',
        'Ketchup',
        'Kettle',
        'Kettles',
        'Key',
        'Keyboard',
        'Keyboards',
        'Keychains',
        'Keyhole',
        'Keyless',
        'Keypads',
        'Keys',
        'Kickboards',
        'Kicking',
        'Kickstands',
        'Kimono',
        'Kimonos',
        'Kiosks',
        'Kit',
        'Kitchen',
        'Kitchenettes',
        'Kitchens',
        'Kite',
        'Kiteboard',
        'Kiteboards',
        'Kites',
        'Kitesurfing',
        'Kits',
        'Kiwis',
        'Knee',
        'Kneeboarding',
        'Kneeboards',
        'Kneelers',
        'Knife',
        'Knitting',
        'Knives',
        'Knobs',
        'Knockers',
        'Knuckles',
        'Kohlrabi',
        'Kotatsu',
        'Kumquats',
        'KVM',
        'Lab',
        'Label',
        'Labels',
        'Laboratory',
        'Lace',
        'Lacrosse',
        'Ladder',
        'Ladders',
        'Ladles',
        'Laminating',
        'Laminators',
        'Lamp',
        'Lamps',
        'Lan',
        'Lancing',
        'Landscape',
        'Landscaping',
        'Lanterns',
        'Lanyards',
        'Lap',
        'Lapel',
        'Laptop',
        'Laptops',
        'Lard',
        'Laser',
        'Lash',
        'Latch',
        'Latches',
        'Lathes',
        'Lattice',
        'Launchers',
        'Laundry',
        'Law',
        'Lawn',
        'Lead',
        'Leaders',
        'Leads',
        'Leaf',
        'Learning',
        'Leash',
        'Leashes',
        'Leather',
        'Leaves',
        'Lecterns',
        'LED',
        'Ledges',
        'Leeks',
        'Leg',
        'Legs',
        'Lehengas',
        'Leis',
        'Lemon',
        'Lemons',
        'Lens',
        'Lenses',
        'Leotards',
        'Letter',
        'Letters',
        'Lettuce',
        'Levelers',
        'Levels',
        'Levers',
        'License',
        'Lid',
        'Lids',
        'Life',
        'Lift',
        'Lifting',
        'Lifts',
        'Ligatures',
        'Light',
        'Lighter',
        'Lighters',
        'Lighting',
        'Lights',
        'Lime',
        'Limequats',
        'Limes',
        'Line',
        'Linens',
        'Liner',
        'Liners',
        'Lines',
        'Linesman',
        'Lingerie',
        'Links',
        'Lint',
        'Lip',
        'Lipstick',
        'Liqueurs',
        'Liquid',
        'Liquor',
        'Live',
        'Livestock',
        'Living',
        'LNBs',
        'Loading',
        'Lobster',
        'Locators',
        'Lock',
        'Locker',
        'Lockers',
        'Locking',
        'Locks',
        'Log',
        'Logging',
        'Logic',
        'Long',
        'Longan',
        'Longbows',
        'Loofahs',
        'Looms',
        'Loop',
        'Loose',
        'Loquats',
        'Loss',
        'Lotion',
        'Lotions',
        'Lotus',
        'Loudspeaker',
        'Loungers',
        'Loungewear',
        'Lubricants',
        'Lubrication',
        'Luggage',
        'Lumbar',
        'Lumber',
        'Luminizers',
        'Lunch',
        'Lures',
        'Lychees',
        'Lyres',
        'Mace',
        'Mache',
        'Machetes',
        'Machine',
        'Machinery',
        'Machines',
        'MadroÃ±o',
        'Magazine',
        'Magazines',
        'Magic',
        'Magnet',
        'Magnetic',
        'Magnetizers',
        'Magnets',
        'Magnifiers',
        'Mail',
        'Mailbox',
        'Mailboxes',
        'Maintenance',
        'Maker',
        'Makers',
        'Makeup',
        'Making',
        'Malangas',
        'Mallets',
        'Malts',
        'Mamey',
        'Management',
        'Mangoes',
        'Mangosteens',
        'Manicure',
        'Manifolds',
        'Mannequin',
        'Mannequins',
        'Manual',
        'Manuals',
        'Manufacturing',
        'Map',
        'Marble',
        'Marbles',
        'Margarine',
        'Marinades',
        'Marine',
        'Marionettes',
        'Marker',
        'Markers',
        'Marketing',
        'Marking',
        'Marshmallows',
        'Martial',
        'Mascara',
        'Mashers',
        'Mask',
        'Masks',
        'Masonry',
        'Massage',
        'Massagers',
        'Massaging',
        'Masts',
        'Mat',
        'Matches',
        'Material',
        'Materials',
        'Maternity',
        'Mats',
        'Mattock',
        'Mattocks',
        'Mattress',
        'Mattresses',
        'Mature',
        'Mayonnaise',
        'Meal',
        'Meals',
        'Measures',
        'Measuring',
        'Meat',
        'Meats',
        'Mechanical',
        'Media',
        'Medical',
        'Medicine',
        'Mediums',
        'Megaphones',
        'Melodicas',
        'Melon',
        'Melons',
        'Memorial',
        'Memory',
        'Menstrual',
        'Mesh',
        'Messenger',
        'Metal',
        'Meter',
        'Meters',
        'Metronomes',
        'Mice',
        'Microcontrollers',
        'Microphone',
        'Microphones',
        'Microscope',
        'Microscopes',
        'Microtomes',
        'Microwave',
        'MIDI',
        'Military',
        'Milk',
        'Millet',
        'Milling',
        'Mills',
        'Minerals',
        'MiniDisc',
        'Mining',
        'Mirror',
        'Mirrors',
        'Misters',
        'Misting',
        'Miter',
        'Mittens',
        'Mitts',
        'Mixer',
        'Mixers',
        'Mixes',
        'Mixing',
        'MMA',
        'Mobile',
        'Mobiles',
        'Mobility',
        'Mochi',
        'Model',
        'Modeling',
        'Models',
        'Modem',
        'Modems',
        'Modulators',
        'Modules',
        'Moisture',
        'Moisturizer',
        'Molasses',
        'Molding',
        'Molds',
        'Money',
        'Monitor',
        'Monitors',
        'Monocular',
        'Monoculars',
        'Monofins',
        'Monopod',
        'Monopods',
        'Monoxide',
        'Mop',
        'Mops',
        'Mortar',
        'Mortars',
        'Mortisers',
        'Mosaic',
        'Mosquito',
        'Motherboards',
        'Motion',
        'Motor',
        'Motorcycle',
        'Motorcycles',
        'Motors',
        'Mounds',
        'Mount',
        'Mounting',
        'Mounts',
        'Mouse',
        'Mouthguards',
        'Mouthpieces',
        'Mouthwash',
        'Movies',
        'Moving',
        'Mower',
        'Mowers',
        'MP3',
        'MSG',
        'Muddlers',
        'Muffin',
        'Muffins',
        'Mufflers',
        'Muffs',
        'Mugs',
        'Mulch',
        'Multi-Game',
        'Multifunction',
        'Multimedia',
        'Multimeter',
        'Multiplexers',
        'Multitrack',
        'Muscle',
        'Mushrooms',
        'Music',
        'Musical',
        'Mustard',
        'Mutes',
        'Muzzles',
        'Nail',
        'Nailers',
        'Nails',
        'Name',
        'Nap',
        'Napkin',
        'Napkins',
        'Nasal',
        'Nativity',
        'Navigation',
        'Navigational',
        'Nebulizers',
        'Neck',
        'Necklaces',
        'Necks',
        'Neckties',
        'Nectarines',
        'Needle',
        'Needlecraft',
        'Needles',
        'Negative',
        'Neon',
        'Nets',
        'Network',
        'Networking',
        'Neutralizers',
        'Newspapers',
        'Nibbler',
        'Nibblers',
        'Nibs',
        'Night',
        'Nightgowns',
        'Nightstands',
        'Nippers',
        'Nipples',
        'Nocks',
        'Noise',
        'Noisemakers',
        'Non-Dairy',
        'Noodles',
        'Nose',
        'Note',
        'Notebooks',
        'Notepads',
        'Notes',
        'Novelties',
        'Novelty',
        'Nozzles',
        'Numbers',
        'Numeric',
        'Nunchucks',
        'Nursing',
        'Nut',
        'Nutcrackers',
        'Nutrition',
        'Nutritional',
        'Nuts',
        'O-Rings',
        'Oars',
        'Oats',
        'Obis',
        'Objective',
        'Oboe',
        'Oboes',
        'Ocarinas',
        'Occasion',
        'Occupational',
        'Odor',
        'Off-Road',
        'Office',
        'Officiating',
        'Oil',
        'Oils',
        'Okra',
        'Olives',
        'On',
        'On-Camera',
        'One-Pieces',
        'Onions',
        'Open',
        'Openers',
        'Operating',
        'Ophthalmoscopes',
        'Optic',
        'Optical',
        'Optics',
        'Oral',
        'Oranges',
        'Orchestra',
        'Orchestral',
        'Organization',
        'Organizer',
        'Organizers',
        'Origami',
        'Ornament',
        'Ornaments',
        'Orthodontic',
        'Oscillators',
        'Ostomy',
        'Otoscopes',
        'Ottoman',
        'Ottomans',
        'Outdoor',
        'Outdoors',
        'Outerwear',
        'Outfit',
        'Outfits',
        'Outlets',
        'Oven',
        'Ovens',
        'Over',
        'Overalls',
        'Overflow',
        'Overhead',
        'Ovulation',
        'Oximeters',
        'Oxygen',
        'Pacifier',
        'Pacifiers',
        'Packing',
        'Packs',
        'Pad',
        'Padding',
        'Paddle',
        'Paddleboards',
        'Paddles',
        'Padfolios',
        'Pads',
        'Paella',
        'Pagers',
        'Pail',
        'Pails',
        'Paint',
        'Paintball',
        'Paintballs',
        'Painting',
        'Pajamas',
        'Palette',
        'Palettes',
        'Pallets',
        'Palms',
        'Pan',
        'Pancake',
        'Panel',
        'Paneling',
        'Panels',
        'Panniers',
        'Pans',
        'Pant',
        'Pants',
        'PAP',
        'Papayas',
        'Paper',
        'Paperweights',
        'Papier',
        'Parachutes',
        'Paraphernalia',
        'Parasols',
        'Parchment',
        'Parking',
        'Parks',
        'Parsley',
        'Parsnips',
        'Partitions',
        'Parts',
        'Party',
        'Pass',
        'Passion',
        'Passive',
        'Pasta',
        'Paste',
        'Pastels',
        'Pastries',
        'Pastry',
        'Patch',
        'Patches',
        'Patching',
        'Pathway',
        'Patient',
        'Patio',
        'Patterns',
        'PDA',
        'PDAs',
        'Peaches',
        'Pearls',
        'Pears',
        'Peas',
        'Pedal',
        'Pedals',
        'Pedestal',
        'Pedicure',
        'Pedometers',
        'Peelers',
        'Peels',
        'Pegged',
        'Pegs',
        'Pellets',
        'Pen',
        'Penalty',
        'Pencil',
        'Pencils',
        'Pendants',
        'Pens',
        'Pepper',
        'Peppers',
        'Percolators',
        'Percussion',
        'Performance',
        'Perfume',
        'Pergolas',
        'Permanents',
        'Permits',
        'Persimmons',
        'Personal',
        'Personnel',
        'Pest',
        'Pesticides',
        'Pestles',
        'Pet',
        'Petals',
        'Petri',
        'Petroleum',
        'Petticoats',
        'Pettipants',
        'pH',
        'Phone',
        'Phones',
        'Phono',
        'Photo',
        'Photographic',
        'Photographs',
        'Photography',
        'Physalis',
        'Physical',
        'Pianos',
        'Pickaxe',
        'Pickaxes',
        'Pickets',
        'Pickleball',
        'Pickleballs',
        'Pickled',
        'Pickling',
        'Picks',
        'Pickup',
        'Pickups',
        'Picnic',
        'Picture',
        'Pie',
        'Pieces',
        'Piercing',
        'Pies',
        'Pigeon',
        'Pigeons',
        'Piggy',
        'Pilates',
        'Pillboxes',
        'Pillow',
        'Pillowcases',
        'Pillows',
        'Pin',
        'Pinback',
        'Pinball',
        'Pineapples',
        'Ping',
        'Pins',
        'Pipe',
        'Pipes',
        'Pipettes',
        'Pistols',
        'Pistons',
        'Pit',
        'Pitahayas',
        'Pitch',
        'Pitchers',
        'Pitching',
        'Pits',
        'Pizza',
        'Pizzelle',
        'Place',
        'Placemats',
        'Planers',
        'Planes',
        'Planks',
        'Planners',
        'Plans',
        'Plant',
        'Planter',
        'Planters',
        'Planting',
        'Plants',
        'Plaques',
        'Plasma',
        'Plaster',
        'Plastic',
        'Plate',
        'Plates',
        'Platform',
        'Platforms',
        'Platters',
        'Play',
        'Player',
        'Players',
        'Playground',
        'Playhouses',
        'Playing',
        'Playpens',
        'Playset',
        'Playsets',
        'Pliers',
        'Plug',
        'Plugs',
        'Plumbing',
        'Plumcots',
        'Plums',
        'Plungers',
        'Pneumatic',
        'Pockets',
        'Pogo',
        'Pointers',
        'Points',
        'Poker',
        'Pole',
        'Poles',
        'Policy',
        'Polish',
        'Polishers',
        'Polishes',
        'Polishing',
        'Polo',
        'Pom',
        'Pom-Poms',
        'Pomegranates',
        'Pommel',
        'Poms',
        'Poncho',
        'Pond',
        'Ponds',
        'Pong',
        'Ponytail',
        'Pool',
        'Pools',
        'Popcorn',
        'Pops',
        'Porch',
        'Pore',
        'Pork',
        'Portable',
        'Portafilters',
        'Portfolios',
        'POS',
        'Post',
        'Postage',
        'Poster',
        'Posters',
        'Posts',
        'Pot',
        'Potatoes',
        'Potpourri',
        'Pots',
        'Pottery',
        'Potting',
        'Potty',
        'Pouches',
        'Powder',
        'Powdered',
        'Power',
        'Powered',
        'Practice',
        'Prayer',
        'Pre-Paid',
        'Preamps',
        'Prefabricated',
        'Pregnancy',
        'Prenatal',
        'Prepared',
        'Preparedness',
        'Presentation',
        'Presenters',
        'Press',
        'Presses',
        'Pressure',
        'Pretend',
        'Pretzel',
        'Pretzels',
        'Pricing',
        'Primer',
        'Primers',
        'Print',
        'Printable',
        'Printed',
        'Printer',
        'Printers',
        'Printheads',
        'Printing',
        'Prints',
        'Prisms',
        'Privacy',
        'Probes',
        'Processing',
        'Processors',
        'Product',
        'Production',
        'Productivity',
        'Products',
        'Professional',
        'Professions',
        'Programmable',
        'Programming',
        'Programs',
        'Project',
        'Projection',
        'Projector',
        'Projectors',
        'Proof',
        'Propellers',
        'Prophy',
        'Props',
        'Protectants',
        'Protection',
        'Protective',
        'Protectors',
        'Prototyping',
        'Protractors',
        'Pruning',
        'Pry',
        'Public',
        'Publishing',
        'Pucks',
        'Pudding',
        'Puffed',
        'Puffs',
        'Pull',
        'Pullers',
        'Pulleys',
        'Pulls',
        'Pulse',
        'Pumice',
        'Pump',
        'Pumps',
        'Punch',
        'Punches',
        'Punching',
        'Puppet',
        'Puppets',
        'Purifier',
        'Purifiers',
        'Purpose',
        'PurÃ©es',
        'Push',
        'Pushers',
        'Pushpins',
        'Puts',
        'Putty',
        'Puzzle',
        'Puzzles',
        'Quality',
        'Quarrying',
        'Quiche',
        'Quickdraws',
        'Quilts',
        'Quince',
        'Quinoa',
        'Quivers',
        'Race',
        'Racing',
        'Rack',
        'Racks',
        'Racquet',
        'Racquetball',
        'Racquets',
        'Radar',
        'Radars',
        'Radiator',
        'Radiators',
        'Radio',
        'Radios',
        'Radishes',
        'Rafting',
        'Rafts',
        'Railing',
        'Rails',
        'Rain',
        'Rakes',
        'RAM',
        'Rambutans',
        'Ramekins',
        'Ramps',
        'Range',
        'Rangefinder',
        'Rangefinders',
        'Ranges',
        'Rash',
        'Ratchets',
        'Rate',
        'Rattles',
        'Raw',
        'Razor',
        'Razors',
        'Reaction',
        'Reader',
        'Readers',
        'Reading',
        'Reamers',
        'Rear',
        'Rebar',
        'Receipt',
        'Receipts',
        'Receiver',
        'Receivers',
        'Receiving',
        'Recipe',
        'Reciprocating',
        'Recliners',
        'Record',
        'Recorder',
        'Recorders',
        'Recording',
        'Recordings',
        'Recreation',
        'Recreational',
        'Recurve',
        'Recycling',
        'Reed',
        'Reeds',
        'Reel',
        'Reel-to-Reel',
        'Reels',
        'Referee',
        'Refill',
        'Refillable',
        'Refills',
        'Reflectors',
        'Reflex',
        'Refreshers',
        'Refrigerator',
        'Refrigerators',
        'Register',
        'Registers',
        'Regulators',
        'Reinforcement',
        'Reins',
        'Relaxation',
        'Relay',
        'Relays',
        'Releasers',
        'Releases',
        'Religious',
        'Relish',
        'Reloading',
        'Remesh',
        'Remote',
        'Remotes',
        'Removal',
        'Remover',
        'Removers',
        'Repair',
        'Repeaters',
        'Repellent',
        'Repellents',
        'Replacement',
        'Report',
        'Reptile',
        'Reseaters',
        'Resistance',
        'Resistors',
        'Respirator',
        'Respirators',
        'Respiratory',
        'Response',
        'Restore',
        'Rests',
        'Retail',
        'Retouching',
        'Rewinders',
        'Rhinestones',
        'Rhubarb',
        'Rib',
        'Ribbon',
        'Ribbons',
        'Rice',
        'Ricers',
        'Riding',
        'Rim',
        'Rims',
        'Rinds',
        'Ring',
        'Rings',
        'Rinse',
        'Rippers',
        'Riser',
        'Risers',
        'Rivet',
        'Riveting',
        'Rivets',
        'Road',
        'Roaster',
        'Roasting',
        'Robe',
        'Robes',
        'Robot',
        'Robotic',
        'Robots',
        'Rockers',
        'Rocketry',
        'Rockets',
        'Rocking',
        'Rocks',
        'Rod',
        'Rods',
        'Role',
        'Roll',
        'Roller',
        'Rollers',
        'Rolling',
        'Rolls',
        'ROM',
        'Rompers',
        'Roof',
        'Roofing',
        'Room',
        'Root',
        'Roots',
        'Rope',
        'Ropes',
        'Rosin',
        'Rotators',
        'Rotisseries',
        'Rotors',
        'Roulette',
        'Rounders',
        'Router',
        'Routers',
        'Routing',
        'Row',
        'Rowing',
        'Rubber',
        'Rubs',
        'Rug',
        'Rugby',
        'Rugs',
        'Rulers',
        'Rum',
        'Run',
        'Runners',
        'Runs',
        'Rutabagas',
        'Rye',
        'Sacks',
        'Saddle',
        'Saddles',
        'Safe',
        'Safelights',
        'Safes',
        'Safety',
        'Sailboat',
        'Sailboats',
        'Sails',
        'Salad',
        'Sale',
        'Salon',
        'Salsa',
        'Salt',
        'Samplers',
        'Sand',
        'Sandblasting',
        'Sandboxes',
        'Sanders',
        'Sanding',
        'Sandpaper',
        'Sands',
        'Sandwich',
        'Sanitary',
        'Sanitation',
        'Sanitizers',
        'Sapodillo',
        'Sapote',
        'Saris',
        'Sashes',
        'Satay',
        'Satellite',
        'Sauce',
        'Saucepans',
        'Saucers',
        'Sauces',
        'Saunas',
        'SautÃ©',
        'Savers',
        'Saw',
        'Saws',
        'Saxophone',
        'Saxophones',
        'Scaffolding',
        'Scale',
        'Scales',
        'Scalpel',
        'Scalpels',
        'Scan',
        'Scanner',
        'Scanners',
        'Scarves',
        'Scatters',
        'Scent',
        'Scents',
        'School',
        'Science',
        'Scissors',
        'Scones',
        'Scoops',
        'Scooter',
        'Scooters',
        'Scope',
        'Scopes',
        'Scoreboards',
        'Scoring',
        'Scouring',
        'Scrapbooking',
        'Scraper',
        'Scrapers',
        'Scratchers',
        'Screen',
        'Screens',
        'Screw',
        'Screwdriver',
        'Screwdrivers',
        'Screws',
        'Scroll',
        'Scrub',
        'Scrubs',
        'Sculpting',
        'Sculptures',
        'Seafood',
        'Seal',
        'Sealants',
        'Sealer',
        'Sealers',
        'Seals',
        'Seam',
        'Seasonal',
        'Seasonings',
        'Seat',
        'Seating',
        'Seatpost',
        'Seatposts',
        'Seats',
        'Sectional',
        'Security',
        'See',
        'Seeds',
        'Seismometer',
        'Seitan',
        'Self',
        'Semiconductors',
        'Sensor',
        'Sensors',
        'Septic',
        'Sequins',
        'Server',
        'Servers',
        'Serveware',
        'Service',
        'Services',
        'Serving',
        'Sesame',
        'Set',
        'Sets',
        'Sew-in',
        'Sewage',
        'Sewing',
        'Shackles',
        'Shades',
        'Shadow',
        'Shafts',
        'Shakers',
        'Shakes',
        'Shallots',
        'Shampoo',
        'Shams',
        'Shaper',
        'Shapers',
        'Shapes',
        'Shapewear',
        'Sharpeners',
        'Shaver',
        'Shavers',
        'Shaving',
        'Shawls',
        'Shears',
        'Sheaths',
        'Sheaves',
        'Sheds',
        'Sheet',
        'Sheets',
        'Shelf',
        'Shells',
        'Shelves',
        'Shelving',
        'Shields',
        'Shift',
        'Shifters',
        'Shims',
        'Shin',
        'Shingle',
        'Shingles',
        'Shipping',
        'Shirts',
        'Shochu',
        'Shock',
        'Shoe',
        'Shoelaces',
        'Shoes',
        'Shooting',
        'Shop',
        'Shopping',
        'Shortening',
        'Shorts',
        'Shot',
        'Shoulder',
        'Shovels',
        'Show',
        'Shower',
        'Showers',
        'Shredders',
        'Shrinkers',
        'Shuffleboard',
        'Shutters',
        'Shuttlecocks',
        'Shuttles',
        'Sickles',
        'Side',
        'Sideboards',
        'Sidewalk',
        'Siding',
        'Sifters',
        'Sight',
        'Sights',
        'Signage',
        'Signal',
        'Signature',
        'Signs',
        'Silencers',
        'SIM',
        'Sink',
        'Sinkers',
        'Sinks',
        'Sippy',
        'Sit-Down',
        'Skate',
        'Skateboard',
        'Skateboarding',
        'Skateboards',
        'Skates',
        'Skating',
        'Skee-Ball',
        'Skewers',
        'Ski',
        'Skiing',
        'Skillet',
        'Skillets',
        'Skimboards',
        'Skimmers',
        'Skin',
        'Skins',
        'Skinsuits',
        'Skirt',
        'Skirts',
        'Skis',
        'Skorts',
        'Skydiving',
        'Sledges',
        'Sleds',
        'Sleep',
        'Sleeper',
        'Sleeping',
        'Sleepwear',
        'Sleeves',
        'Slicers',
        'Slide',
        'Slides',
        'Slings',
        'Slipcovers',
        'Slipper',
        'Slips',
        'Slot',
        'Slots',
        'Slotted',
        'Slow',
        'Small',
        'Smart',
        'Smoke',
        'Smokers',
        'Smoking',
        'Snack',
        'Snacks',
        'Snaps',
        'Snare',
        'Sneeze',
        'Snoring',
        'Snorkeling',
        'Snorkels',
        'Snow',
        'Snowboard',
        'Snowboarding',
        'Snowboards',
        'Snowmobiles',
        'Snowshoe',
        'Snowshoeing',
        'Snowshoes',
        'Snuffers',
        'Soap',
        'Soccer',
        'Socket',
        'Sockets',
        'Socks',
        'Soda',
        'Sofa',
        'Sofas',
        'Soft',
        'Softball',
        'Softballs',
        'Softboxes',
        'Softener',
        'Softeners',
        'Software',
        'Soils',
        'Soju',
        'Solar',
        'Solder',
        'Soldering',
        'Solution',
        'Solutions',
        'Solvents',
        'Soothers',
        'Sorters',
        'Sorting',
        'Souffle',
        'Sound',
        'Soundproofing',
        'Soups',
        'Sour',
        'Soursops',
        'Soy',
        'Spa',
        'Space',
        'Spacers',
        'Spaceships',
        'Spades',
        'Sparklers',
        'Spas',
        'Spatulas',
        'Speaker',
        'Speakerphones',
        'Speakers',
        'Spears',
        'Special',
        'Specialty',
        'Specimen',
        'Specimens',
        'Spectrometer',
        'Spectrometers',
        'Speed',
        'Spermicides',
        'Spice',
        'Spices',
        'Spikes',
        'Spinach',
        'Spindles',
        'Spines',
        'Spinners',
        'Spinning',
        'Spirits',
        'Spits',
        'Splitters',
        'Spoke',
        'Spokes',
        'Sponges',
        'Spool',
        'Spools',
        'Spoon',
        'Spoons',
        'Sport',
        'Sporting',
        'Sports',
        'Spot',
        'Spotting',
        'Spouts',
        'Spray',
        'Sprayers',
        'Sprays',
        'Spreaders',
        'Spreads',
        'Spring',
        'Springboards',
        'Springs',
        'Sprinkers',
        'Sprinkler',
        'Sprinklers',
        'Sprouts',
        'Spurs',
        'Squares',
        'Squash',
        'Squashes',
        'Squeegees',
        'Squeezers',
        'Squirrel',
        'Stabilizers',
        'Stacking',
        'Stacks',
        'Stadium',
        'Staff',
        'Stage',
        'Stain',
        'Stained',
        'Stainless',
        'Stains',
        'Stair',
        'Staircases',
        'Stakes',
        'Stalls',
        'Stamp',
        'Stamping',
        'Stamps',
        'Stand',
        'Standing',
        'Stands',
        'Staple',
        'Staplers',
        'Staples',
        'Starch',
        'Starfruits',
        'Stars',
        'Starter',
        'Starters',
        'Starting',
        'Station',
        'Stationery',
        'Stations',
        'Stators',
        'Statues',
        'Stays',
        'Steam',
        'Steamer',
        'Steamers',
        'Steaming',
        'Steel',
        'Steering',
        'Stems',
        'Stemware',
        'Stencil',
        'Stencils',
        'Step',
        'Stepper',
        'Steppers',
        'Stepping',
        'Steps',
        'Stereo',
        'Sterilizers',
        'Stethoscopes',
        'Stick',
        'Stickers',
        'Sticks',
        'Sticky',
        'Stilts',
        'Stimulators',
        'Stirrers',
        'Stirrups',
        'Stitch',
        'Stock',
        'Stocking',
        'Stockings',
        'Stone',
        'Stones',
        'Stools',
        'Stoppers',
        'Stops',
        'Stopwatches',
        'Storage',
        'Stove',
        'Stoves',
        'Stovetop',
        'Straight',
        'Straighteners',
        'Strainers',
        'Strap',
        'Straps',
        'Straw',
        'Straws',
        'Streamer',
        'Streamers',
        'Streaming',
        'Stretchers',
        'Strike',
        'Strikes',
        'String',
        'Strings',
        'Striping',
        'Strippers',
        'Stripping',
        'Strips',
        'Stroller',
        'Strollers',
        'Structures',
        'Stud',
        'Studio',
        'Studs',
        'Stuffed',
        'Stuffing',
        'Stump',
        'Stumps',
        'Stun',
        'Styling',
        'Stylus',
        'Styluses',
        'Styptic',
        'Styrofoam',
        'Submersible',
        'Substrates',
        'Subwoofers',
        'Sugar',
        'Suitcases',
        'Suites',
        'Suits',
        'Sum',
        'Sump',
        'Sun',
        'Suncatchers',
        'Sunchokes',
        'Sundials',
        'Sunglass',
        'Sunglasses',
        'Sunloungers',
        'Sunscreen',
        'Sunshade',
        'Sunshades',
        'Supplements',
        'Supplies',
        'Supply',
        'Support',
        'Supports',
        'Suppressors',
        'Surf',
        'Surface',
        'Surfboard',
        'Surfboards',
        'Surfing',
        'Surge',
        'Surgical',
        'Surrounds',
        'Surveillance',
        'Surveying',
        'Survival',
        'Sushi',
        'Suspenders',
        'Suspension',
        'Sustain',
        'Sutures',
        'Swabs',
        'Swaddling',
        'Swatters',
        'Sweepers',
        'Sweeps',
        'Sweet',
        'Sweeteners',
        'Swim',
        'Swimming',
        'Swimwear',
        'Swing',
        'Swings',
        'Switches',
        'Swivels',
        'Sword',
        'Swords',
        'Synthesizers',
        'Syringes',
        'Syrup',
        'System',
        'Systems',
        'Tabi',
        'Tablas',
        'Table',
        'Tablecloth',
        'Tablecloths',
        'Tables',
        'Tablet',
        'Tablets',
        'Tableware',
        'Tabs',
        'Tack',
        'Tackle',
        'Tacks',
        'Taco',
        'Tactical',
        'Tactile',
        'Tagines',
        'Tags',
        'Tahini',
        'Tail',
        'Take-Out',
        'Taking',
        'Talking',
        'Tamarillos',
        'Tamarindo',
        'Tambourines',
        'Tampons',
        'Tangelos',
        'Tank',
        'Tanks',
        'Tanner',
        'Tanning',
        'Tap',
        'Tape',
        'Tapenade',
        'Tapes',
        'Tapestries',
        'Tapioca',
        'Taps',
        'Targets',
        'Taro',
        'Tarot',
        'Tarps',
        'Tartar',
        'Tarts',
        'Tasers',
        'Tassels',
        'Tattoo',
        'Tattooing',
        'Tattoos',
        'Tax',
        'Tea',
        'Teaching',
        'Team',
        'Tees',
        'Teeth',
        'Teethers',
        'Telephone',
        'Telephony',
        'Telescope',
        'Telescopes',
        'Television',
        'Televisions',
        'Tempeh',
        'Temperature',
        'Tempering',
        'Templates',
        'Temporary',
        'Tenderizers',
        'Tennis',
        'Tent',
        'Tents',
        'Tequila',
        'Terminal',
        'Terminals',
        'Test',
        'Testers',
        'Testing',
        'Tests',
        'Tetherball',
        'Tetherballs',
        'Tethers',
        'Textile',
        'Textiles',
        'Theater',
        'Theaters',
        'Theodolites',
        'Therapeutic',
        'Therapies',
        'Therapy',
        'Thermal',
        'Thermocouples',
        'Thermometer',
        'Thermometers',
        'Thermopiles',
        'Thermoses',
        'Thermostats',
        'Thimbles',
        'Thin',
        'Thinners',
        'Thread',
        'Threaded',
        'Threaders',
        'Threading',
        'Throw',
        'Throwers',
        'Throwing',
        'Tiaras',
        'Tick',
        'Tickets',
        'Tie',
        'Ties',
        'Tighteners',
        'Tights',
        'Tiki',
        'Tile',
        'Tiles',
        'Tiller',
        'Tillers',
        'Tilt',
        'Time',
        'Timers',
        'Tin',
        'Tins',
        'Tips',
        'Tire',
        'Tires',
        'Tissue',
        'Tissues',
        'Toaster',
        'Toasters',
        'Tobacco',
        'Toddler',
        'Toe',
        'Tofu',
        'Toilet',
        'Toiletry',
        'Toilets',
        'Toll',
        'Tom-Toms',
        'Tomato',
        'Tomatoes',
        'Toner',
        'Toners',
        'Tongs',
        'Tongue',
        'Tonneau',
        'Tool',
        'Tools',
        'Toothbrush',
        'Toothbrushes',
        'Toothpaste',
        'Toothpick',
        'Toothpicks',
        'Top',
        'Toppers',
        'Toppings',
        'Tops',
        'Torches',
        'Tortilla',
        'Tortillas',
        'Tostadas',
        'Totes',
        'Touch',
        'Touchpads',
        'Tow',
        'Tow-Behind',
        'Towable',
        'Towed',
        'Towel',
        'Towels',
        'Towers',
        'Towing',
        'Toy',
        'Toys',
        'Track',
        'Trackball',
        'Trackballs',
        'Tracking',
        'Tract',
        'Tractor',
        'Tractors',
        'Trade',
        'Trading',
        'Traditional',
        'Traffic',
        'Trail',
        'Trailers',
        'Train',
        'Trainer',
        'Trainers',
        'Training',
        'Trains',
        'Trampoline',
        'Trampolines',
        'Transceivers',
        'Transcribers',
        'Transducers',
        'Transfer',
        'Transformers',
        'Transistors',
        'Translation',
        'Translators',
        'Transmission',
        'Transmitters',
        'Transparencies',
        'Transport',
        'Traps',
        'Trash',
        'Travel',
        'Tray',
        'Trays',
        'Treadmill',
        'Treadmills',
        'Treads',
        'Treat',
        'Treatment',
        'Treatments',
        'Treats',
        'Tree',
        'Trees',
        'Trellises',
        'Triangles',
        'Tricycle',
        'Tricycles',
        'Trim',
        'Trimmer',
        'Trimmers',
        'Trims',
        'Tripod',
        'Tripods',
        'Trivets',
        'Trolleys',
        'Trombones',
        'Trophies',
        'Trousers',
        'Trowels',
        'Truck',
        'Trucks',
        'Trumpets',
        'Trunks',
        'Tub',
        'Tubas',
        'Tube',
        'Tubes',
        'Tubing',
        'Tubs',
        'Tumblers',
        'Tuner',
        'Tuners',
        'Tuning',
        'Tunnels',
        'Turbans',
        'Tureen',
        'Tureens',
        'Turnips',
        'Turntable',
        'Turntables',
        'Tuxedos',
        'TV',
        'TVs',
        'Tweezers',
        'Twine',
        'Twist',
        'Two-Way',
        'Tying',
        'Typewriters',
        'Typing',
        'Ultrasonic',
        'Umbrella',
        'Umbrellas',
        'Umpire',
        'Undershirts',
        'Underwater',
        'Underwear',
        'Unflavored',
        'Unicycle',
        'Unicycles',
        'Uniforms',
        'Unitards',
        'Units',
        'Unspun',
        'Up',
        'Upholstery',
        'Upright',
        'UPS',
        'Urinals',
        'Urinary',
        'Urination',
        'Urns',
        'USB',
        'Utensil',
        'Utensils',
        'Utilities',
        'Utility',
        'UTV',
        'UTVs',
        'UV',
        'Vacuum',
        'Vacuums',
        'Valances',
        'Valets',
        'Valve',
        'Valves',
        'Vanes',
        'Vanities',
        'Vanity',
        'Vans',
        'Vaporizers',
        'Variable',
        'Varnishes',
        'Vase',
        'Vases',
        'Vault',
        'Vaulting',
        'VCRs',
        'Vegetable',
        'Vegetables',
        'Vegetarian',
        'Vehicle',
        'Vehicles',
        'Veils',
        'Vellum',
        'Vending',
        'Ventilation',
        'Vents',
        'Verifiers',
        'Vestibules',
        'Vests',
        'VGA',
        'Vibraslaps',
        'Vibration',
        'Vibrators',
        'Video',
        'Videos',
        'View',
        'Viewfinder',
        'Viewing',
        'Village',
        'Vinegar',
        'Vintage',
        'Vinyl',
        'Violas',
        'Violins',
        'Virtual',
        'Vises',
        'Vision',
        'Visors',
        'Visual',
        'Vital',
        'Vitamins',
        'Vodka',
        'Voice',
        'VoIP',
        'Volleyball',
        'Volleyballs',
        'Voltage',
        'Volume',
        'Waders',
        'Waffle',
        'Wagons',
        'Wakeboard',
        'Wakeboarding',
        'Wakeboards',
        'Walk-Behind',
        'Walkers',
        'Walking',
        'Wall',
        'Wallet',
        'Wallets',
        'Wallpaper',
        'Walls',
        'Wallyball',
        'Wardrobes',
        'Warmers',
        'Warning',
        'Wart',
        'Wash',
        'Washcloths',
        'Washer',
        'Washers',
        'Washing',
        'Waste',
        'Wastebaskets',
        'Wastes',
        'Watch',
        'Watches',
        'Water',
        'Watercraft',
        'Watercress',
        'Waterers',
        'Waterfalls',
        'Watering',
        'Wax',
        'Waxes',
        'Waxing',
        'Weapon',
        'Weapons',
        'Wear',
        'Weather',
        'Weatherization',
        'Weaving',
        'Web',
        'Webbing',
        'Webcams',
        'Wedding',
        'Wedge',
        'Wedges',
        'Weed',
        'Weight',
        'Weighted',
        'Weights',
        'Welding',
        'Well',
        'Wet',
        'Wetsuit',
        'Wetsuits',
        'Wheat',
        'Wheatgrass',
        'Wheel',
        'Wheelbarrow',
        'Wheelbarrows',
        'Wheelchairs',
        'Wheels',
        'Whipped',
        'Whips',
        'Whiskey',
        'Whisks',
        'Whistles',
        'White',
        'Whiteners',
        'Whitewater',
        'Wick',
        'Wicks',
        'Wig',
        'Wigs',
        'Wild',
        'Wildlife',
        'Winches',
        'Wind',
        'Wind-Up',
        'Windbreaks',
        'Winders',
        'Windlasses',
        'Window',
        'Windows',
        'Windshield',
        'Windsock',
        'Windsocks',
        'Windsurfing',
        'Wine',
        'Winemaking',
        'Winter',
        'Wipe',
        'Wipes',
        'Wire',
        'Wireless',
        'Wires',
        'Wok',
        'Woks',
        'Wood',
        'Wooden',
        'Woodwind',
        'Woodwinds',
        'Woodworking',
        'Worcestershire',
        'Work',
        'Workspace',
        'Workstation',
        'Workstations',
        'World',
        'Wormers',
        'Wrap',
        'Wrappers',
        'Wrapping',
        'Wraps',
        'Wreath',
        'Wreaths',
        'Wrenches',
        'Wrestling',
        'Wrinkle',
        'Wrist',
        'Wristbands',
        'Writing',
        'Xylophones',
        'Yachts',
        'Yams',
        'Yard',
        'Yards',
        'Yarn',
        'Yeast',
        'Yo-Yo',
        'Yo-Yos',
        'Yoga',
        'Yogurt',
        'Yu',
        'Yuca',
        'Yukata',
        'Zero',
        'Zesters',
        'Zipper',
        'Zippers',
        'Zoom',
    ];

    protected $separators = [' and ', ' & ', ', ', ' '];

    public function categorySeparator() {
        return static::randomElement($this->separators);
    }

    public function categoryTitle() {
        $num = self::numberBetween(0, count($this->categories) - 1);

        return $this->categories[$num];
    }


    public function categoryName($min = 1, $max = 2) {

        $num = self::numberBetween($min, $max);

        $name = $this->categoryTitle();

        for ($i = 1; $i < $num; $i++) {
            $name .= $this->categorySeparator() . $this->categoryTitle();

        }

        return $name;
    }

    public function categoryNameSingle() {
        return $this->categoryName(1, 1);
    }

}